!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 20:46             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_3125) = coupl(nGC_63)*dZGMinus/2d0
      coupl(nGC_3126) = coupl(nGC_2238) + coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_82)*dZWMinus_QED2 + coupl(nGC_82)*dZZ_QED2/2d0
      coupl(nGC_3127) = -coupl(nGC_72)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2982) = coupl(nGC_176)*dZG0/2d0
      coupl(nGC_2984) = -coupl(nGC_96)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2986) = coupl(nGC_137)*dZbL_QCD2/2d0 + coupl(nGC_137)*dZbR_QCD2&
                        /2d0 + coupl(nGC_2394)
      coupl(nGC_3055) = -coupl(nGC_94)*dZZA_QED2/2d0
      coupl(nGC_3056) = -coupl(nGC_72)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3053) = 2d0*coupl(nGC_11)*dZHl_QED2 + coupl(nGC_2250) + 2d0*   &
                        coupl(nGC_9)*dZHhHl_QED2
      coupl(nGC_3059) = -coupl(nGC_68)*dZGMinus/2d0
      coupl(nGC_TS_GC_40_Hl) = -coupl(nGC_40)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_120_Hl) = -coupl(nGC_120)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2215) = cima*coupl(nGC_7)**3d0*sq2**3d0*(-coupl(nGC_84) - coupl&
                        (nGC_85) - coupl(nGC_87) - coupl(nGC_88))/(64d0*pi**2d0&
                        *Nc)
      coupl(nGC_1778) = coupl(nGC_150)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1772) = coupl(nGC_181)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1689) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_84)*coupl(    &
                        nGC_87))/(8d0*pi**2d0)
      coupl(nGC_1688) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_80)**2d0 - coupl( &
                        nGC_87)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1680) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_141)**2d0 - 8d0*Nc*cMC&
                        **2d0*cima*coupl(nGC_130)**2d0 - 8d0*Nc*cMD**2d0*cima* &
                        coupl(nGC_145)**2d0 - 8d0*Nc*cMS**2d0*cima*coupl(      &
                        nGC_169)**2d0 - 8d0*Nc*cMT**2d0*cima*coupl(nGC_177)**  &
                        2d0 - 8d0*Nc*cMU**2d0*cima*coupl(nGC_192)**2d0 - 8d0*  &
                        cME**2d0*cima*coupl(nGC_153)**2d0 - cMHA**2d0*cima*    &
                        coupl(nGC_611)*coupl(nGC_94) - cMHC**2d0*cima*coupl(   &
                        nGC_635)*coupl(nGC_68) - cMHC**2d0*cima*coupl(nGC_639)*&
                        coupl(nGC_69) - 8d0*cMM**2d0*cima*coupl(nGC_161)**2d0  &
                         - 8d0*cMTA**2d0*cima*coupl(nGC_184)**2d0 - 2d0*cMW**  &
                        2d0*cima*coupl(nGC_613)*coupl(nGC_64) - 2d0*cMW**2d0*  &
                        cima*coupl(nGC_621)*coupl(nGC_63) - cMW**2d0*cima*coupl&
                        (nGC_635)*coupl(nGC_68) - cMW**2d0*cima*coupl(nGC_639)*&
                        coupl(nGC_69) - 4d0*cMW**2d0*coupl(nGC_61) - cMZ**2d0* &
                        cima*coupl(nGC_611)*coupl(nGC_94) - 2d0*cMZ**2d0*cima* &
                        coupl(nGC_643)*coupl(nGC_91) - 2d0*cMZ**2d0*coupl(     &
                        nGC_99) + 4d0*cima*coupl(nGC_124)**2d0 + 2d0*cima*coupl&
                        (nGC_128)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1687) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0*&
                        pi**2d0*Nc)
      coupl(nGC_1686) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_84)**2d0 + 2d0*Nc*cMB**&
                        2d0*cima*coupl(nGC_87)**2d0 + 2d0*Nc*cMC**2d0*cima*    &
                        coupl(nGC_85)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_88 &
                        )**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(nGC_84)**2d0 + 2d0*&
                        Nc*cMD**2d0*cima*coupl(nGC_87)**2d0 + 2d0*Nc*cMS**2d0* &
                        cima*coupl(nGC_84)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(  &
                        nGC_87)**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_85)**2d0 &
                         + 2d0*Nc*cMT**2d0*cima*coupl(nGC_88)**2d0 + 2d0*Nc*cMU&
                        **2d0*cima*coupl(nGC_85)**2d0 + 2d0*Nc*cMU**2d0*cima*  &
                        coupl(nGC_88)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_86)** &
                        2d0 + 2d0*cME**2d0*cima*coupl(nGC_89)**2d0 + 2d0*cMM** &
                        2d0*cima*coupl(nGC_86)**2d0 + 2d0*cMM**2d0*cima*coupl( &
                        nGC_89)**2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_86)**2d0 + &
                        2d0*cMTA**2d0*cima*coupl(nGC_89)**2d0 + 3d0*cMW**2d0*  &
                        cima*coupl(nGC_623)**2d0 + 3d0*cMW**2d0*cima*coupl(    &
                        nGC_82)**2d0 - 2d0*cMW**2d0*coupl(nGC_631))/(16d0*pi** &
                        2d0)
      coupl(nGC_1684) = cima*(-2d0*Nc*coupl(nGC_84)**2d0 - 2d0*Nc*coupl(nGC_85 &
                        )**2d0 - 2d0*Nc*coupl(nGC_87)**2d0 - 2d0*Nc*coupl(     &
                        nGC_88)**2d0 - coupl(nGC_623)**2d0 - coupl(nGC_82)**2d0&
                         - 2d0*coupl(nGC_86)**2d0 - 2d0*coupl(nGC_89)**2d0 -   &
                        2d0*coupl(nGC_90)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1999) = (coupl(nGC_184)**2d0*coupl(nGC_86) + coupl(nGC_186)*   &
                        coupl(nGC_187)*coupl(nGC_86) + coupl(nGC_188)**2d0*    &
                        coupl(nGC_86) + coupl(nGC_190)*coupl(nGC_191)*coupl(   &
                        nGC_86) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_89) - 4d0*   &
                        coupl(nGC_80)**2d0*coupl(nGC_82) + 4d0*coupl(nGC_80)** &
                        2d0*coupl(nGC_90) + 4d0*coupl(nGC_89)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_1998) = (coupl(nGC_184)**2d0*coupl(nGC_89) + coupl(nGC_185)**  &
                        2d0*coupl(nGC_90) + coupl(nGC_186)*coupl(nGC_187)*coupl&
                        (nGC_89) + coupl(nGC_188)**2d0*coupl(nGC_89) + coupl(  &
                        nGC_189)**2d0*coupl(nGC_90) + coupl(nGC_190)*coupl(    &
                        nGC_191)*coupl(nGC_89) + 4d0*coupl(nGC_4)**2d0*coupl(  &
                        nGC_86) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1997) = (coupl(nGC_177)**2d0*coupl(nGC_88) + coupl(nGC_178)**  &
                        2d0*coupl(nGC_87) + coupl(nGC_179)*coupl(nGC_627)*coupl&
                        (nGC_88) + coupl(nGC_180)**2d0*coupl(nGC_88) + coupl(  &
                        nGC_181)**2d0*coupl(nGC_87) + coupl(nGC_182)*coupl(    &
                        nGC_183)*coupl(nGC_88) + 4d0*coupl(nGC_2)**2d0*coupl(  &
                        nGC_85) + 4d0*coupl(nGC_85)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1996) = (coupl(nGC_138)**2d0*coupl(nGC_84) + coupl(nGC_142)**  &
                        2d0*coupl(nGC_84) + coupl(nGC_177)**2d0*coupl(nGC_85   &
                        ) + coupl(nGC_179)*coupl(nGC_627)*coupl(nGC_85) + coupl&
                        (nGC_180)**2d0*coupl(nGC_85) + coupl(nGC_182)*coupl(   &
                        nGC_183)*coupl(nGC_85) + 4d0*coupl(nGC_2)**2d0*coupl(  &
                        nGC_88) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82) + 4d0*  &
                        coupl(nGC_80)**2d0*coupl(nGC_87) + 4d0*coupl(nGC_88)** &
                        3d0)/(32d0*pi**2d0)
      coupl(nGC_1995) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_84) + coupl(nGC_169)**&
                        2d0*coupl(nGC_87) + coupl(nGC_170)**2d0*coupl(nGC_88   &
                        ) + coupl(nGC_171)*coupl(nGC_172)*coupl(nGC_87) + coupl&
                        (nGC_173)**2d0*coupl(nGC_87) + coupl(nGC_174)**2d0*    &
                        coupl(nGC_88) + coupl(nGC_175)*coupl(nGC_176)*coupl(   &
                        nGC_87) + 4d0*coupl(nGC_84)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1994) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_87) + coupl(nGC_131)**&
                        2d0*coupl(nGC_85) + coupl(nGC_134)**2d0*coupl(nGC_85   &
                        ) + coupl(nGC_169)**2d0*coupl(nGC_84) + coupl(nGC_171)*&
                        coupl(nGC_172)*coupl(nGC_84) + coupl(nGC_173)**2d0*    &
                        coupl(nGC_84) + coupl(nGC_175)*coupl(nGC_176)*coupl(   &
                        nGC_84) + 4d0*coupl(nGC_623)*coupl(nGC_80)**2d0 + 4d0* &
                        coupl(nGC_80)**2d0*coupl(nGC_88) + 4d0*coupl(nGC_87)** &
                        3d0)/(32d0*pi**2d0)
      coupl(nGC_1993) = (coupl(nGC_185)**2d0*coupl(nGC_86) + coupl(nGC_189)**  &
                        2d0*coupl(nGC_86) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82&
                        ) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_89) + 4d0*coupl(  &
                        nGC_90)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1992) = (coupl(nGC_162)**2d0*coupl(nGC_86) + coupl(nGC_166)**  &
                        2d0*coupl(nGC_86) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82&
                        ) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_89) + 4d0*coupl(  &
                        nGC_90)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1991) = (coupl(nGC_161)**2d0*coupl(nGC_86) + coupl(nGC_163)*   &
                        coupl(nGC_164)*coupl(nGC_86) + coupl(nGC_165)**2d0*    &
                        coupl(nGC_86) + coupl(nGC_167)*coupl(nGC_168)*coupl(   &
                        nGC_86) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_89) - 4d0*   &
                        coupl(nGC_80)**2d0*coupl(nGC_82) + 4d0*coupl(nGC_80)** &
                        2d0*coupl(nGC_90) + 4d0*coupl(nGC_89)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_TS_GC_195_Hh) = -coupl(nGC_195)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2717) = coupl(nGC_131)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_134 &
                        )*dZcR_QED2/2d0 + coupl(nGC_134)*dZsL_QED2/2d0 + coupl(&
                        nGC_2357)
      coupl(nGC_2217) = sq2**2d0*(-2d0*Nc*cima*coupl(nGC_6)**4d0*sq2**2d0 + 3d0&
                        *Nc*coupl(nGC_6)**2d0*coupl(nGC_645) - 3d0*Nc*coupl(   &
                        nGC_6)**2d0*coupl(nGC_649) - 30d0*cima*coupl(nGC_7)**  &
                        4d0*sq2**2d0)/(384d0*pi**2d0)
      coupl(nGC_1990) = (coupl(nGC_161)**2d0*coupl(nGC_89) + coupl(nGC_162)**  &
                        2d0*coupl(nGC_90) + coupl(nGC_163)*coupl(nGC_164)*coupl&
                        (nGC_89) + coupl(nGC_165)**2d0*coupl(nGC_89) + coupl(  &
                        nGC_166)**2d0*coupl(nGC_90) + coupl(nGC_167)*coupl(    &
                        nGC_168)*coupl(nGC_89) + 4d0*coupl(nGC_4)**2d0*coupl(  &
                        nGC_86) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
      coupl(nGC_2151) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_136)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_131)*   &
                        coupl(nGC_136)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_131)*coupl(nGC_136)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_140)*coupl(nGC_142)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_140)*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_140)*coupl(nGC_142)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_146)*coupl(   &
                        nGC_152)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_152)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_170)*coupl(nGC_176)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_176)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_170)*coupl(   &
                        nGC_176)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_178)*coupl(nGC_183)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_183)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_178)*coupl(nGC_183)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_198)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_193)*coupl(   &
                        nGC_198)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_193)*coupl(nGC_198)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 20d0*cima*coupl(nGC_154)*coupl(nGC_160)*coupl&
                        (nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_154)*coupl&
                        (nGC_160)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl&
                        (nGC_154)*coupl(nGC_160)*coupl(nGC_80)*coupl(nGC_90) + &
                        20d0*cima*coupl(nGC_162)*coupl(nGC_168)*coupl(nGC_80)* &
                        coupl(nGC_86) - 16d0*cima*coupl(nGC_162)*coupl(nGC_168 &
                        )*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_162&
                        )*coupl(nGC_168)*coupl(nGC_80)*coupl(nGC_90) + 20d0*   &
                        cima*coupl(nGC_185)*coupl(nGC_191)*coupl(nGC_80)*coupl(&
                        nGC_86) - 16d0*cima*coupl(nGC_185)*coupl(nGC_191)*coupl&
                        (nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_185)*coupl&
                        (nGC_191)*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*coupl(&
                        nGC_611)*coupl(nGC_637)**2d0*coupl(nGC_64) + 4d0*cima* &
                        coupl(nGC_611)*coupl(nGC_64)*coupl(nGC_651)*coupl(     &
                        nGC_96) + 4d0*cima*coupl(nGC_611)*coupl(nGC_643)*coupl(&
                        nGC_651)*coupl(nGC_72) + 4d0*cima*coupl(nGC_611)*coupl(&
                        nGC_651)*coupl(nGC_653)*coupl(nGC_72) + 4d0*cima*coupl(&
                        nGC_621)*coupl(nGC_637)**2d0*coupl(nGC_94) + 4d0*cima* &
                        coupl(nGC_621)*coupl(nGC_637)*coupl(nGC_651)*coupl(    &
                        nGC_69) + 9d0*cima*coupl(nGC_623)*coupl(nGC_64)*coupl( &
                        nGC_82)*coupl(nGC_94) + 9d0*cima*coupl(nGC_623)*coupl( &
                        nGC_68)*coupl(nGC_82)*coupl(nGC_91) + 4d0*cima*coupl(  &
                        nGC_637)**2d0*coupl(nGC_639)*coupl(nGC_91) + 4d0*cima* &
                        coupl(nGC_637)**2d0*coupl(nGC_653)*coupl(nGC_69) + 4d0*&
                        cima*coupl(nGC_637)*coupl(nGC_639)*coupl(nGC_64)*coupl(&
                        nGC_651) + 4d0*cima*coupl(nGC_643)*coupl(nGC_651)*coupl&
                        (nGC_68)*coupl(nGC_96) + 6d0*coupl(nGC_14)*coupl(      &
                        nGC_637)*coupl(nGC_639) + 6d0*coupl(nGC_15)*coupl(     &
                        nGC_611)*coupl(nGC_651) - 6d0*coupl(nGC_15)*coupl(     &
                        nGC_623)*coupl(nGC_94) + 6d0*coupl(nGC_16)*coupl(      &
                        nGC_621)*coupl(nGC_637) - 6d0*coupl(nGC_16)*coupl(     &
                        nGC_623)*coupl(nGC_91) + 6d0*coupl(nGC_16)*coupl(      &
                        nGC_643)*coupl(nGC_651) - 6d0*coupl(nGC_64)*coupl(     &
                        nGC_79)*coupl(nGC_94) - 6d0*coupl(nGC_68)*coupl(nGC_79 &
                        )*coupl(nGC_91))/(192d0*pi**2d0)
      coupl(nGC_2156) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_135)*coupl( &
                        nGC_136) + coupl(nGC_139)*coupl(nGC_140) + coupl(      &
                        nGC_151)*coupl(nGC_152) + coupl(nGC_175)*coupl(nGC_176 &
                        ) + coupl(nGC_182)*coupl(nGC_183) + coupl(nGC_197)*    &
                        coupl(nGC_198))/(16d0*pi**2d0*Nc)
      coupl(nGC_2155) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_135)*coupl(&
                        nGC_136) - coupl(nGC_139)*coupl(nGC_140) - coupl(      &
                        nGC_151)*coupl(nGC_152) - coupl(nGC_175)*coupl(nGC_176 &
                        ) - coupl(nGC_182)*coupl(nGC_183) - coupl(nGC_197)*    &
                        coupl(nGC_198))/(16d0*pi**2d0)
      coupl(nGC_2333) = coupl(nGC_1286)*db_QED2 + coupl(nGC_1287)*dvev1_QED1 + &
                        coupl(nGC_1288)*dcw_QED2 + coupl(nGC_1289)*dZee_QED2 + &
                        coupl(nGC_1290)*dvev2_QED1
      coupl(nGC_2330) = coupl(nGC_1453)*db_QED2 + coupl(nGC_1454)*dZee_QED2 +  &
                        coupl(nGC_1455)*dcw_QED2 + coupl(nGC_1456)*da_QED2
      coupl(nGC_2331) = coupl(nGC_1061)*db_QED2 + coupl(nGC_1062)*dZee_QED2 +  &
                        coupl(nGC_1063)*dcw_QED2 + coupl(nGC_1064)*da_QED2
      coupl(nGC_2336) = coupl(nGC_1489)*dZee_QED2 + coupl(nGC_1490)*dcw_QED2 + &
                        coupl(nGC_1491)*dsw_QED2
      coupl(nGC_2337) = coupl(nGC_1450)*dZee_QED2 + coupl(nGC_1451)*dcw_QED2 + &
                        coupl(nGC_1452)*dsw_QED2
      coupl(nGC_2334) = coupl(nGC_1516)*db_QED2 + coupl(nGC_1517)*dvev1_QED1 + &
                        coupl(nGC_1518)*dcw_QED2 + coupl(nGC_1519)*dZee_QED2 + &
                        coupl(nGC_1520)*dvev2_QED1
      coupl(nGC_2335) = coupl(nGC_1551)*dZee_QED2 + coupl(nGC_1552)*dcw_QED2
      coupl(nGC_2889) = coupl(nGC_94)*dZZA_QED2/2d0
      coupl(nGC_2338) = coupl(nGC_1427)*dZee_QED2 + coupl(nGC_1428)*dcw_QED2 + &
                        coupl(nGC_1429)*dsw_QED2
      coupl(nGC_3202) = coupl(nGC_2315) - coupl(nGC_63)*dZGMinusHMinus_QED2/2d0&
                         + coupl(nGC_63)*dZHhHl_QED2/2d0 + coupl(nGC_69)*      &
                        dZHMinus_QED2/2d0 + coupl(nGC_69)*dZHl_QED2/2d0 + coupl&
                        (nGC_69)*dZWMinus_QED2/2d0
      coupl(nGC_3205) = coupl(nGC_I)*dZHl_QED2
      coupl(nGC_3206) = coupl(nGC_33)*dZG0
      coupl(nGC_TS_GC_15_Hh) = -coupl(nGC_15)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_153_Hl) = -coupl(nGC_153)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3117) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_3116) = coupl(nGC_MI)*dZcR_QED2
      coupl(nGC_3110) = coupl(nGC_76)*dZG0/2d0
      coupl(nGC_3113) = coupl(nGC_156)*dZHa_QED2/2d0 + coupl(nGC_156)*         &
                        dZeMinusL_QED2/2d0 + coupl(nGC_156)*dZeMinusR_QED2/2d0 &
                         + coupl(nGC_160)*dZG0Ha_QED2/2d0 + coupl(nGC_2432)
      coupl(nGC_3112) = coupl(nGC_155)*dZHa_QED2/2d0 + coupl(nGC_155)*         &
                        dZeMinusL_QED2/2d0 + coupl(nGC_155)*dZeMinusR_QED2/2d0 &
                         + coupl(nGC_159)*dZG0Ha_QED2/2d0 + coupl(nGC_2431)
      coupl(nGC_3119) = coupl(nGC_2593) + coupl(nGC_MC)*dZcL_QCD2/2d0 + coupl( &
                        nGC_MC)*dZcR_QCD2/2d0
      coupl(nGC_2428) = coupl(nGC_1556)*dye2_QED3 + coupl(nGC_1557)*da_QED2 +  &
                        coupl(nGC_1558)*dye1_QED3
      coupl(nGC_2429) = coupl(nGC_1582)*da_QED2 + coupl(nGC_1583)*dym1_QED3 +  &
                        coupl(nGC_1584)*dym2_QED3
      coupl(nGC_2426) = coupl(nGC_1599)*da_QED2 + coupl(nGC_1600)*dym1_QED3 +  &
                        coupl(nGC_1601)*dym2_QED3
      coupl(nGC_2427) = coupl(nGC_1571)*dytau2_QED3 + coupl(nGC_1572)*         &
                        dytau1_QED3 + coupl(nGC_1573)*da_QED2
      coupl(nGC_2424) = coupl(nGC_860)*db_QED2 + coupl(nGC_861)*dytau2_QED3 +  &
                        coupl(nGC_862)*dytau1_QED3
      coupl(nGC_2425) = coupl(nGC_1568)*dye2_QED3 + coupl(nGC_1569)*da_QED2 +  &
                        coupl(nGC_1570)*dye1_QED3
      coupl(nGC_2422) = coupl(nGC_1605)*db_QED2 + coupl(nGC_1606)*dym1_QED3 +  &
                        coupl(nGC_1607)*dym2_QED3
      coupl(nGC_2423) = coupl(nGC_1530)*db_QED2 + coupl(nGC_1531)*dytau2_QED3  &
                         + coupl(nGC_1532)*dytau1_QED3
      coupl(nGC_2420) = coupl(nGC_1576)*dye2_QED3 + coupl(nGC_1577)*db_QED2 +  &
                        coupl(nGC_1578)*dye1_QED3
      coupl(nGC_TS_GC_145_Hl) = -coupl(nGC_145)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3068) = coupl(nGC_20)*dZHMinus_QED2/2d0 + coupl(nGC_20)*       &
                        dZHa_QED2/2d0 + coupl(nGC_20)*dZWMinus_QED2/2d0 + coupl&
                        (nGC_20)*dZZ_QED2/2d0 + coupl(nGC_2329) + coupl(nGC_74 &
                        )*dZAZ_QED2/2d0
      coupl(nGC_1904) = coupl(nGC_179)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1734) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_137)** &
                        2d0 + coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_140) +     &
                        coupl(nGC_1)*coupl(nGC_141)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_143)*coupl(nGC_144) + 4d0*coupl(nGC_1)*coupl(nGC_84&
                        )**2d0 + coupl(nGC_138)**2d0*coupl(nGC_2) + coupl(     &
                        nGC_142)**2d0*coupl(nGC_2))/(32d0*pi**2d0)
      coupl(nGC_2326) = coupl(nGC_1080)*db_QED2 + coupl(nGC_1081)*da_QED2 +    &
                        coupl(nGC_1082)*dcw_QED2 + coupl(nGC_1083)*dZee_QED2 + &
                        coupl(nGC_1084)*dsw_QED2
      coupl(nGC_1764) = (-4d0*Nc*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_85) + &
                        4d0*Nc*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_87) +   &
                        4d0*coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_86) - 4d0* &
                        coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_90) + 4d0*coupl&
                        (nGC_162)*coupl(nGC_166)*coupl(nGC_86) - 4d0*coupl(    &
                        nGC_162)*coupl(nGC_166)*coupl(nGC_90) + 4d0*coupl(     &
                        nGC_185)*coupl(nGC_189)*coupl(nGC_86) - 4d0*coupl(     &
                        nGC_185)*coupl(nGC_189)*coupl(nGC_90) + coupl(nGC_611)*&
                        coupl(nGC_613)*coupl(nGC_637) + coupl(nGC_621)*coupl(  &
                        nGC_72)*coupl(nGC_94) - 6d0*coupl(nGC_63)*coupl(nGC_68 &
                        )*coupl(nGC_82) + coupl(nGC_637)*coupl(nGC_639)*coupl( &
                        nGC_653) + coupl(nGC_639)*coupl(nGC_72)*coupl(nGC_91   &
                        ) - 6d0*coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_82))/(   &
                        96d0*pi**2d0)
      coupl(nGC_1766) = (4d0*Nc*coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_80) -  &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_173)*coupl(nGC_174)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_180)*coupl(nGC_181)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_80) -   &
                        4d0*coupl(nGC_157)*coupl(nGC_158)*coupl(nGC_80) - 4d0* &
                        coupl(nGC_165)*coupl(nGC_166)*coupl(nGC_80) - 6d0*coupl&
                        (nGC_17)*coupl(nGC_3)*coupl(nGC_68) - 4d0*coupl(nGC_188&
                        )*coupl(nGC_189)*coupl(nGC_80) + coupl(nGC_611)*coupl( &
                        nGC_637)*coupl(nGC_651) + coupl(nGC_613)**2d0*coupl(   &
                        nGC_635) + coupl(nGC_613)*coupl(nGC_64)*coupl(nGC_69   &
                        ) - 6d0*coupl(nGC_623)*coupl(nGC_637)*coupl(nGC_94) +  &
                        coupl(nGC_63)*coupl(nGC_639)*coupl(nGC_64) + coupl(    &
                        nGC_635)*coupl(nGC_639)**2d0 + coupl(nGC_635)*coupl(   &
                        nGC_72)**2d0 - 6d0*coupl(nGC_68)*coupl(nGC_82)*coupl(  &
                        nGC_96))/(96d0*pi**2d0)
      coupl(nGC_1767) = (4d0*Nc*coupl(nGC_130)*coupl(nGC_134)*coupl(nGC_80) -  &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_169)*coupl(nGC_174)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_177)*coupl(nGC_181)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_192)*coupl(nGC_196)*coupl(nGC_80) -   &
                        4d0*coupl(nGC_153)*coupl(nGC_158)*coupl(nGC_80) - 4d0* &
                        coupl(nGC_161)*coupl(nGC_166)*coupl(nGC_80) - 6d0*coupl&
                        (nGC_17)*coupl(nGC_3)*coupl(nGC_63) - 4d0*coupl(nGC_184&
                        )*coupl(nGC_189)*coupl(nGC_80) + coupl(nGC_613)**2d0*  &
                        coupl(nGC_621) + coupl(nGC_613)*coupl(nGC_68)*coupl(   &
                        nGC_69) + coupl(nGC_621)*coupl(nGC_639)**2d0 + coupl(  &
                        nGC_621)*coupl(nGC_72)**2d0 - 6d0*coupl(nGC_623)*coupl(&
                        nGC_637)*coupl(nGC_91) + coupl(nGC_63)*coupl(nGC_639)* &
                        coupl(nGC_68) - 6d0*coupl(nGC_63)*coupl(nGC_82)*coupl( &
                        nGC_96) + coupl(nGC_637)*coupl(nGC_643)*coupl(nGC_651  &
                        ))/(96d0*pi**2d0)
      coupl(nGC_1760) = (4d0*Nc*coupl(nGC_134)*coupl(nGC_135)*coupl(nGC_80) -  &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_150)*coupl(nGC_151)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_174)*coupl(nGC_175)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_181)*coupl(nGC_182)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_196)*coupl(nGC_197)*coupl(nGC_80) -   &
                        4d0*coupl(nGC_158)*coupl(nGC_159)*coupl(nGC_80) - 4d0* &
                        coupl(nGC_166)*coupl(nGC_167)*coupl(nGC_80) - 6d0*coupl&
                        (nGC_17)*coupl(nGC_3)*coupl(nGC_637) - 4d0*coupl(      &
                        nGC_189)*coupl(nGC_190)*coupl(nGC_80) - 6d0*coupl(     &
                        nGC_611)*coupl(nGC_623)*coupl(nGC_68) + coupl(nGC_613  &
                        )**2d0*coupl(nGC_72) - 6d0*coupl(nGC_623)*coupl(nGC_63 &
                        )*coupl(nGC_643) + coupl(nGC_63)*coupl(nGC_651)*coupl( &
                        nGC_91) - 6d0*coupl(nGC_637)*coupl(nGC_82)*coupl(nGC_96&
                        ) + coupl(nGC_639)**2d0*coupl(nGC_72) + coupl(nGC_651)*&
                        coupl(nGC_68)*coupl(nGC_94) + coupl(nGC_72)**3d0)/(96d0&
                        *pi**2d0)
      coupl(nGC_2323) = coupl(nGC_1422)*dsw_QED2 + coupl(nGC_1423)*da_QED2 +   &
                        coupl(nGC_1424)*dvev1_QED1 + coupl(nGC_1425)*dvev2_QED1&
                         + coupl(nGC_1426)*dZee_QED2
      coupl(nGC_2894) = coupl(nGC_59)*dZG0
      coupl(nGC_1907) = (-coupl(nGC_146)*coupl(nGC_147)*coupl(nGC_193) - coupl(&
                        nGC_147)*coupl(nGC_150)*coupl(nGC_196) - coupl(nGC_192 &
                        )**2d0*coupl(nGC_194) - coupl(nGC_192)*coupl(nGC_611)* &
                        coupl(nGC_85) - coupl(nGC_192)*coupl(nGC_88)*coupl(    &
                        nGC_94) - coupl(nGC_193)*coupl(nGC_72)*coupl(nGC_80) - &
                        coupl(nGC_194)*coupl(nGC_195)**2d0 - coupl(nGC_194)*   &
                        coupl(nGC_197)**2d0 - coupl(nGC_194)*coupl(nGC_641)**  &
                        2d0 - coupl(nGC_195)*coupl(nGC_653)*coupl(nGC_85) -    &
                        coupl(nGC_195)*coupl(nGC_88)*coupl(nGC_92) + 8d0*coupl(&
                        nGC_2)**2d0*coupl(nGC_641) + 8d0*coupl(nGC_641)*coupl( &
                        nGC_85)*coupl(nGC_88))/(32d0*pi**2d0)
      coupl(nGC_3236) = coupl(nGC_MI)*dZnu_tauL_QED2
      coupl(nGC_3231) = coupl(nGC_96)*dZGMinus
      coupl(nGC_1698) = cima*(coupl(nGC_4)**2d0 + coupl(nGC_86)**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_1699) = cima*(coupl(nGC_4)**2d0 + coupl(nGC_80)**2d0 + coupl(  &
                        nGC_89)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1690) = cMB*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_1691) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_84)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_1692) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_80)**2d0 - coupl( &
                        nGC_88)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1693) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_85)*coupl(    &
                        nGC_88))/(8d0*pi**2d0)
      coupl(nGC_1694) = cMC*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_1695) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_85)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_1696) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_84)*coupl(    &
                        nGC_87))/(8d0*pi**2d0)
      coupl(nGC_1697) = cMD*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_1988) = (coupl(nGC_153)**2d0*coupl(nGC_86) + coupl(nGC_155)*   &
                        coupl(nGC_156)*coupl(nGC_86) + coupl(nGC_157)**2d0*    &
                        coupl(nGC_86) + coupl(nGC_159)*coupl(nGC_160)*coupl(   &
                        nGC_86) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_89) - 4d0*   &
                        coupl(nGC_80)**2d0*coupl(nGC_82) + 4d0*coupl(nGC_80)** &
                        2d0*coupl(nGC_90) + 4d0*coupl(nGC_89)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_1989) = (coupl(nGC_154)**2d0*coupl(nGC_86) + coupl(nGC_158)**  &
                        2d0*coupl(nGC_86) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82&
                        ) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_89) + 4d0*coupl(  &
                        nGC_90)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1984) = coupl(nGC_7)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_1985) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_87) + coupl(nGC_145)**&
                        2d0*coupl(nGC_84) + coupl(nGC_147)*coupl(nGC_148)*coupl&
                        (nGC_84) + coupl(nGC_149)**2d0*coupl(nGC_84) + coupl(  &
                        nGC_151)*coupl(nGC_152)*coupl(nGC_84) + coupl(nGC_193  &
                        )**2d0*coupl(nGC_85) + coupl(nGC_196)**2d0*coupl(nGC_85&
                        ) + 4d0*coupl(nGC_623)*coupl(nGC_80)**2d0 + 4d0*coupl( &
                        nGC_80)**2d0*coupl(nGC_88) + 4d0*coupl(nGC_87)**3d0)/( &
                        32d0*pi**2d0)
      coupl(nGC_2955) = coupl(nGC_2344) + coupl(nGC_7)*dZdL_QCD2 + coupl(nGC_7 &
                        )*dZg_QCD2/2d0
      coupl(nGC_1987) = (coupl(nGC_153)**2d0*coupl(nGC_89) + coupl(nGC_154)**  &
                        2d0*coupl(nGC_90) + coupl(nGC_155)*coupl(nGC_156)*coupl&
                        (nGC_89) + coupl(nGC_157)**2d0*coupl(nGC_89) + coupl(  &
                        nGC_158)**2d0*coupl(nGC_90) + coupl(nGC_159)*coupl(    &
                        nGC_160)*coupl(nGC_89) + 4d0*coupl(nGC_4)**2d0*coupl(  &
                        nGC_86) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1980) = coupl(nGC_7)**2d0*coupl(nGC_84)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_1982) = coupl(nGC_7)**2d0*coupl(nGC_88)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_813) = coupl(nGC_I)*dZG0
      coupl(nGC_1675) = cima*(4d0*Nc*coupl(nGC_133)**2d0 + 4d0*Nc*coupl(nGC_137&
                        )**2d0 + 4d0*Nc*coupl(nGC_149)**2d0 + 4d0*Nc*coupl(    &
                        nGC_173)**2d0 + 4d0*Nc*coupl(nGC_180)**2d0 + 4d0*Nc*   &
                        coupl(nGC_195)**2d0 + 4d0*coupl(nGC_157)**2d0 + 4d0*   &
                        coupl(nGC_165)**2d0 + 4d0*coupl(nGC_188)**2d0 + coupl( &
                        nGC_611)*coupl(nGC_94) + coupl(nGC_613)*coupl(nGC_64   &
                        ) + coupl(nGC_621)*coupl(nGC_63) + coupl(nGC_635)*coupl&
                        (nGC_68) + coupl(nGC_639)*coupl(nGC_69) + coupl(nGC_653&
                        )*coupl(nGC_92))/(96d0*pi**2d0)
      coupl(nGC_TS_GC_105_Hh) = -coupl(nGC_105)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_165_Hh) = -coupl(nGC_165)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2185) = (20d0*Nc*cima*coupl(nGC_133)**4d0 + 20d0*Nc*cima*coupl(&
                        nGC_137)**4d0 + 20d0*Nc*cima*coupl(nGC_149)**4d0 + 20d0&
                        *Nc*cima*coupl(nGC_173)**4d0 + 20d0*Nc*cima*coupl(     &
                        nGC_180)**4d0 + 20d0*Nc*cima*coupl(nGC_195)**4d0 + 20d0&
                        *cima*coupl(nGC_157)**4d0 + 20d0*cima*coupl(nGC_165)** &
                        4d0 + 20d0*cima*coupl(nGC_188)**4d0 + 6d0*cima*coupl(  &
                        nGC_61)**2d0 - 5d0*cima*coupl(nGC_611)**2d0*coupl(     &
                        nGC_94)**2d0 - 10d0*cima*coupl(nGC_611)*coupl(nGC_653)*&
                        coupl(nGC_92)*coupl(nGC_94) - 5d0*cima*coupl(nGC_613)**&
                        2d0*coupl(nGC_64)**2d0 - 10d0*cima*coupl(nGC_613)*coupl&
                        (nGC_635)*coupl(nGC_64)*coupl(nGC_68) - 5d0*cima*coupl(&
                        nGC_621)**2d0*coupl(nGC_63)**2d0 - 10d0*cima*coupl(    &
                        nGC_621)*coupl(nGC_63)*coupl(nGC_639)*coupl(nGC_69) -  &
                        5d0*cima*coupl(nGC_635)**2d0*coupl(nGC_68)**2d0 - 5d0* &
                        cima*coupl(nGC_639)**2d0*coupl(nGC_69)**2d0 - 5d0*cima*&
                        coupl(nGC_653)**2d0*coupl(nGC_92)**2d0 + 3d0*cima*coupl&
                        (nGC_99)**2d0 + 3d0*coupl(nGC_27)*coupl(nGC_613)*coupl(&
                        nGC_635) + 3d0*coupl(nGC_27)*coupl(nGC_621)*coupl(     &
                        nGC_639) + 3d0*coupl(nGC_27)*coupl(nGC_63)*coupl(nGC_69&
                        ) + 3d0*coupl(nGC_27)*coupl(nGC_64)*coupl(nGC_68) + 3d0&
                        *coupl(nGC_29)*coupl(nGC_611)*coupl(nGC_92) + 3d0*coupl&
                        (nGC_29)*coupl(nGC_653)*coupl(nGC_94) + 3d0*coupl(     &
                        nGC_32)*coupl(nGC_635)*coupl(nGC_68) + 3d0*coupl(nGC_32&
                        )*coupl(nGC_639)*coupl(nGC_69) + 3d0*coupl(nGC_33)*    &
                        coupl(nGC_611)*coupl(nGC_94) + 3d0*coupl(nGC_34)*coupl(&
                        nGC_613)*coupl(nGC_64) + 3d0*coupl(nGC_34)*coupl(      &
                        nGC_621)*coupl(nGC_63) + 3d0*coupl(nGC_38)*coupl(      &
                        nGC_653)*coupl(nGC_92) - 3d0*coupl(nGC_61)*coupl(      &
                        nGC_613)*coupl(nGC_64) - 3d0*coupl(nGC_61)*coupl(      &
                        nGC_621)*coupl(nGC_63) - 3d0*coupl(nGC_61)*coupl(      &
                        nGC_635)*coupl(nGC_68) - 3d0*coupl(nGC_61)*coupl(      &
                        nGC_639)*coupl(nGC_69) - 3d0*coupl(nGC_611)*coupl(     &
                        nGC_94)*coupl(nGC_99) - 3d0*coupl(nGC_653)*coupl(nGC_92&
                        )*coupl(nGC_99))/(16d0*pi**2d0)
      coupl(nGC_2186) = (40d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)**3d0 + 40d0&
                        *Nc*cima*coupl(nGC_137)**3d0*coupl(nGC_141) + 40d0*Nc* &
                        cima*coupl(nGC_145)*coupl(nGC_149)**3d0 + 40d0*Nc*cima*&
                        coupl(nGC_169)*coupl(nGC_173)**3d0 + 40d0*Nc*cima*coupl&
                        (nGC_177)*coupl(nGC_180)**3d0 + 40d0*Nc*cima*coupl(    &
                        nGC_192)*coupl(nGC_195)**3d0 + 40d0*cima*coupl(nGC_153 &
                        )*coupl(nGC_157)**3d0 + 40d0*cima*coupl(nGC_161)*coupl(&
                        nGC_165)**3d0 + 40d0*cima*coupl(nGC_184)*coupl(nGC_188 &
                        )**3d0 - 5d0*cima*coupl(nGC_611)**2d0*coupl(nGC_91)*   &
                        coupl(nGC_94) - 5d0*cima*coupl(nGC_611)**2d0*coupl(    &
                        nGC_92)*coupl(nGC_94) - 5d0*cima*coupl(nGC_611)*coupl( &
                        nGC_643)*coupl(nGC_94)**2d0 - 5d0*cima*coupl(nGC_611)* &
                        coupl(nGC_653)*coupl(nGC_91)*coupl(nGC_92) - 5d0*cima* &
                        coupl(nGC_611)*coupl(nGC_653)*coupl(nGC_92)**2d0 - 5d0*&
                        cima*coupl(nGC_611)*coupl(nGC_653)*coupl(nGC_94)**2d0  &
                         - 5d0*cima*coupl(nGC_613)**2d0*coupl(nGC_64)*coupl(   &
                        nGC_68) - 5d0*cima*coupl(nGC_613)*coupl(nGC_621)*coupl(&
                        nGC_63)*coupl(nGC_69) - 5d0*cima*coupl(nGC_613)*coupl( &
                        nGC_621)*coupl(nGC_64)*coupl(nGC_68) - 5d0*cima*coupl( &
                        nGC_613)*coupl(nGC_63)*coupl(nGC_635)*coupl(nGC_64) -  &
                        5d0*cima*coupl(nGC_613)*coupl(nGC_635)*coupl(nGC_64)** &
                        2d0 - 5d0*cima*coupl(nGC_613)*coupl(nGC_635)*coupl(    &
                        nGC_68)**2d0 - 5d0*cima*coupl(nGC_613)*coupl(nGC_639)* &
                        coupl(nGC_69)**2d0 - 5d0*cima*coupl(nGC_621)**2d0*coupl&
                        (nGC_63)*coupl(nGC_69) - 5d0*cima*coupl(nGC_621)*coupl(&
                        nGC_63)**2d0*coupl(nGC_639) - 5d0*cima*coupl(nGC_621)* &
                        coupl(nGC_63)*coupl(nGC_639)*coupl(nGC_64) - 5d0*cima* &
                        coupl(nGC_621)*coupl(nGC_635)*coupl(nGC_68)**2d0 - 5d0*&
                        cima*coupl(nGC_621)*coupl(nGC_639)*coupl(nGC_69)**2d0  &
                         - 5d0*cima*coupl(nGC_63)*coupl(nGC_635)**2d0*coupl(   &
                        nGC_68) - 5d0*cima*coupl(nGC_63)*coupl(nGC_639)**2d0*  &
                        coupl(nGC_69) - 5d0*cima*coupl(nGC_635)**2d0*coupl(    &
                        nGC_64)*coupl(nGC_68) - 5d0*cima*coupl(nGC_639)**2d0*  &
                        coupl(nGC_64)*coupl(nGC_69) - 5d0*cima*coupl(nGC_643)* &
                        coupl(nGC_653)*coupl(nGC_92)*coupl(nGC_94) - 5d0*cima* &
                        coupl(nGC_653)**2d0*coupl(nGC_92)*coupl(nGC_94) + 3d0* &
                        coupl(nGC_22)*coupl(nGC_613)*coupl(nGC_64) + 3d0*coupl(&
                        nGC_22)*coupl(nGC_621)*coupl(nGC_63) + 3d0*coupl(nGC_23&
                        )*coupl(nGC_635)*coupl(nGC_68) + 3d0*coupl(nGC_23)*    &
                        coupl(nGC_639)*coupl(nGC_69) + 3d0*coupl(nGC_25)*coupl(&
                        nGC_611)*coupl(nGC_94) + 3d0*coupl(nGC_26)*coupl(      &
                        nGC_653)*coupl(nGC_92) + 4d0*coupl(nGC_27)*coupl(      &
                        nGC_613)*coupl(nGC_621) + 2d0*coupl(nGC_27)*coupl(     &
                        nGC_63)*coupl(nGC_64) + coupl(nGC_27)*coupl(nGC_635)** &
                        2d0 + coupl(nGC_27)*coupl(nGC_639)**2d0 + 2d0*coupl(   &
                        nGC_27)*coupl(nGC_68)**2d0 + 2d0*coupl(nGC_27)*coupl(  &
                        nGC_69)**2d0 + 3d0*coupl(nGC_29)*coupl(nGC_611)*coupl( &
                        nGC_94) + 2d0*coupl(nGC_29)*coupl(nGC_643)*coupl(nGC_92&
                        ) + coupl(nGC_29)*coupl(nGC_653)*coupl(nGC_91) + 2d0*  &
                        coupl(nGC_32)*coupl(nGC_613)*coupl(nGC_69) + 2d0*coupl(&
                        nGC_32)*coupl(nGC_621)*coupl(nGC_68) + coupl(nGC_32)*  &
                        coupl(nGC_63)*coupl(nGC_635) + coupl(nGC_32)*coupl(    &
                        nGC_639)*coupl(nGC_64) + coupl(nGC_33)*coupl(nGC_611)* &
                        coupl(nGC_91) + 2d0*coupl(nGC_33)*coupl(nGC_643)*coupl(&
                        nGC_94) + 2d0*coupl(nGC_34)*coupl(nGC_613)*coupl(nGC_68&
                        ) + 2d0*coupl(nGC_34)*coupl(nGC_621)*coupl(nGC_69) +   &
                        coupl(nGC_34)*coupl(nGC_63)*coupl(nGC_639) + coupl(    &
                        nGC_34)*coupl(nGC_635)*coupl(nGC_64) + 3d0*coupl(nGC_36&
                        )*coupl(nGC_613)*coupl(nGC_635) + 3d0*coupl(nGC_36)*   &
                        coupl(nGC_621)*coupl(nGC_639) + 3d0*coupl(nGC_36)*coupl&
                        (nGC_63)*coupl(nGC_69) + 3d0*coupl(nGC_36)*coupl(nGC_64&
                        )*coupl(nGC_68) + 3d0*coupl(nGC_37)*coupl(nGC_611)*    &
                        coupl(nGC_92) + 3d0*coupl(nGC_37)*coupl(nGC_653)*coupl(&
                        nGC_94) + 2d0*coupl(nGC_38)*coupl(nGC_611)*coupl(nGC_92&
                        ) + coupl(nGC_38)*coupl(nGC_653)*coupl(nGC_94) - coupl(&
                        nGC_61)*coupl(nGC_613)*coupl(nGC_68) - coupl(nGC_61)*  &
                        coupl(nGC_613)*coupl(nGC_69) - coupl(nGC_61)*coupl(    &
                        nGC_621)*coupl(nGC_68) - coupl(nGC_61)*coupl(nGC_621)* &
                        coupl(nGC_69) - 2d0*coupl(nGC_61)*coupl(nGC_63)*coupl( &
                        nGC_635) - 2d0*coupl(nGC_61)*coupl(nGC_63)*coupl(      &
                        nGC_639) - 2d0*coupl(nGC_61)*coupl(nGC_635)*coupl(     &
                        nGC_64) - 2d0*coupl(nGC_61)*coupl(nGC_639)*coupl(nGC_64&
                        ) - 2d0*coupl(nGC_611)*coupl(nGC_91)*coupl(nGC_99) -   &
                        coupl(nGC_611)*coupl(nGC_92)*coupl(nGC_99) - coupl(    &
                        nGC_643)*coupl(nGC_94)*coupl(nGC_99) - 2d0*coupl(      &
                        nGC_653)*coupl(nGC_94)*coupl(nGC_99))/(32d0*pi**2d0)
      coupl(nGC_2635) = coupl(nGC_19)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_2633) = dZGMinusHMinus_QED2*(coupl(nGC_48) + coupl(nGC_49))/2d0
      coupl(nGC_2631) = coupl(nGC_48)*dZGMinus/2d0
      coupl(nGC_2630) = coupl(nGC_191)*dZG0/2d0
      coupl(nGC_3102) = -coupl(nGC_2238) - coupl(nGC_3)*dZAZ_QED2/2d0 - coupl( &
                        nGC_82)*dZWMinus_QED2 - coupl(nGC_82)*dZZ_QED2/2d0
      coupl(nGC_3100) = -coupl(nGC_91)*dZG0/2d0
      coupl(nGC_3101) = -coupl(nGC_92)*dZZA_QED2/2d0
      coupl(nGC_3106) = coupl(nGC_17)*dZA_QED2/2d0 + coupl(nGC_17)*            &
                        dZHMinus_QED2 + coupl(nGC_2307) + coupl(nGC_96)*       &
                        dZZA_QED2/2d0
      coupl(nGC_3107) = -coupl(nGC_2319) - coupl(nGC_63)*dZHMinus_QED2/2d0 -   &
                        coupl(nGC_63)*dZHh_QED2/2d0 - coupl(nGC_63)*           &
                        dZWMinus_QED2/2d0 + coupl(nGC_68)*dZGMinusHMinus_QED2/ &
                        2d0 - coupl(nGC_69)*dZHlHh_QED2/2d0
      coupl(nGC_3104) = coupl(nGC_2350) + coupl(nGC_90)*dZZ_QED2/2d0 + coupl(  &
                        nGC_90)*dZnu_tauL_QED2
      coupl(nGC_3105) = coupl(nGC_129)*dZZA_QED2/2d0
      coupl(nGC_3108) = dZHMinusGMinus_QED2*(coupl(nGC_122) + coupl(nGC_123))/ &
                        2d0
      coupl(nGC_3109) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_2639) = coupl(nGC_2350) + coupl(nGC_90)*dZZ_QED2/2d0 + coupl(  &
                        nGC_90)*dZnu_eL_QED2
      coupl(nGC_2988) = -coupl(nGC_2314) - coupl(nGC_72)*dZWMinus_QED2/2d0
      coupl(nGC_2459) = coupl(nGC_1102)*da_QED2 + coupl(nGC_1103)*dyt1_QED3 +  &
                        coupl(nGC_1104)*dyt2_QED3
      coupl(nGC_2458) = coupl(nGC_964)*dyc1_QED1_QCD2 + coupl(nGC_965)*        &
                        dyc2_QED1_QCD2
      coupl(nGC_2453) = coupl(nGC_1294)*da_QED2 + coupl(nGC_1295)*dyt1_QED3 +  &
                        coupl(nGC_1296)*dyt2_QED3
      coupl(nGC_2452) = coupl(nGC_1460)*dyc1_QED1_QCD2 + coupl(nGC_1461)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_2451) = coupl(nGC_1460)*dyc1_QED3 + coupl(nGC_1461)*dyc2_QED3  &
                         + coupl(nGC_1462)*da_QED2
      coupl(nGC_2450) = coupl(nGC_1457)*dyup1_QED1_QCD2 + coupl(nGC_1459)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_2457) = coupl(nGC_964)*dyc1_QED3 + coupl(nGC_965)*dyc2_QED3 +  &
                        coupl(nGC_966)*da_QED2
      coupl(nGC_2456) = coupl(nGC_1054)*dyup1_QED1_QCD2 + coupl(nGC_1056)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_2455) = coupl(nGC_1054)*dyup1_QED3 + coupl(nGC_1055)*da_QED2 + &
                        coupl(nGC_1056)*dyup2_QED3
      coupl(nGC_2454) = coupl(nGC_1295)*dyt1_QED1_QCD2 + coupl(nGC_1296)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_TS_GC_35_Hl) = -coupl(nGC_35)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3215) = -coupl(nGC_MZ_GF)*dZG0/2d0
      coupl(nGC_3212) = coupl(nGC_17)*dZA_QED2/2d0 + coupl(nGC_2307) + coupl(  &
                        nGC_96)*dZZA_QED2/2d0
      coupl(nGC_3213) = coupl(nGC_17)*dZGMinus
      coupl(nGC_3211) = coupl(nGC_85)*dZcR_QCD2
      coupl(nGC_3076) = coupl(nGC_2316) + coupl(nGC_64)*dZHl_QED2/2d0 + coupl( &
                        nGC_64)*dZWMinus_QED2/2d0 - coupl(nGC_68)*             &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_69)*dZHhHl_QED2/2d0
      coupl(nGC_3077) = coupl(nGC_64)*dZGMinus/2d0
      coupl(nGC_3075) = coupl(nGC_195)*dZuL_QCD2/2d0 + coupl(nGC_195)*dZuR_QCD2&
                        /2d0 + coupl(nGC_2450)
      coupl(nGC_2857) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_2855) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_2853) = coupl(nGC_2319) + coupl(nGC_63)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_63)*dZHh_QED2/2d0 + coupl(nGC_63)*           &
                        dZWMinus_QED2/2d0 - coupl(nGC_68)*dZGMinusHMinus_QED2/ &
                        2d0 + coupl(nGC_69)*dZHlHh_QED2/2d0
      coupl(nGC_2636) = coupl(nGC_48)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_2858) = coupl(nGC_57)*dZGMinus
      coupl(nGC_TS_GC_177_Hl) = -coupl(nGC_177)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2439) = coupl(nGC_1085)*db_QED2 + coupl(nGC_1086)*dyup1_QED3 + &
                        coupl(nGC_1087)*dyup2_QED3
      coupl(nGC_2438) = coupl(nGC_1473)*dyup1_QED1_QCD2 + coupl(nGC_1474)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_1679) = cima*(4d0*Nc*coupl(nGC_130)**2d0 + 4d0*Nc*coupl(nGC_141&
                        )**2d0 + 4d0*Nc*coupl(nGC_145)**2d0 + 4d0*Nc*coupl(    &
                        nGC_169)**2d0 + 4d0*Nc*coupl(nGC_177)**2d0 + 4d0*Nc*   &
                        coupl(nGC_192)**2d0 + 4d0*coupl(nGC_153)**2d0 + 4d0*   &
                        coupl(nGC_161)**2d0 + 4d0*coupl(nGC_184)**2d0 + coupl( &
                        nGC_611)*coupl(nGC_94) + coupl(nGC_613)*coupl(nGC_64   &
                        ) + coupl(nGC_621)*coupl(nGC_63) + coupl(nGC_635)*coupl&
                        (nGC_68) + coupl(nGC_639)*coupl(nGC_69) + coupl(nGC_643&
                        )*coupl(nGC_91))/(96d0*pi**2d0)
      coupl(nGC_TS_GC_24_Hl) = -coupl(nGC_24)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1751) = (coupl(nGC_1)*coupl(nGC_178)**2d0 + coupl(nGC_1)*coupl(&
                        nGC_181)**2d0 + coupl(nGC_177)**2d0*coupl(nGC_2) +     &
                        coupl(nGC_179)*coupl(nGC_2)*coupl(nGC_627) + coupl(    &
                        nGC_180)**2d0*coupl(nGC_2) + coupl(nGC_182)*coupl(     &
                        nGC_183)*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 + 4d0*   &
                        coupl(nGC_2)*coupl(nGC_85)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1750) = (coupl(nGC_1)*coupl(nGC_138)**2d0 + coupl(nGC_1)*coupl(&
                        nGC_142)**2d0 + 4d0*coupl(nGC_1)*coupl(nGC_80)**2d0 +  &
                        coupl(nGC_177)**2d0*coupl(nGC_2) + coupl(nGC_179)*coupl&
                        (nGC_2)*coupl(nGC_627) + coupl(nGC_180)**2d0*coupl(    &
                        nGC_2) + coupl(nGC_182)*coupl(nGC_183)*coupl(nGC_2) +  &
                        4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_88  &
                        )**2d0 + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0)/(32d0*pi &
                        **2d0)
      coupl(nGC_1753) = (coupl(nGC_184)**2d0*coupl(nGC_4) + coupl(nGC_186)*    &
                        coupl(nGC_187)*coupl(nGC_4) + coupl(nGC_188)**2d0*coupl&
                        (nGC_4) + coupl(nGC_190)*coupl(nGC_191)*coupl(nGC_4) - &
                        4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 + 4d0*coupl(nGC_4  &
                        )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_89)**2d0)/(32d0*pi &
                        **2d0)
      coupl(nGC_1752) = coupl(nGC_4)*(coupl(nGC_184)**2d0 + coupl(nGC_186)*    &
                        coupl(nGC_187) + coupl(nGC_188)**2d0 + coupl(nGC_190)* &
                        coupl(nGC_191) + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(    &
                        nGC_86)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1755) = (coupl(nGC_1)*coupl(nGC_193)**2d0 + coupl(nGC_1)*coupl(&
                        nGC_196)**2d0 + coupl(nGC_192)**2d0*coupl(nGC_2) +     &
                        coupl(nGC_194)*coupl(nGC_2)*coupl(nGC_641) + coupl(    &
                        nGC_195)**2d0*coupl(nGC_2) + coupl(nGC_197)*coupl(     &
                        nGC_198)*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 + 4d0*   &
                        coupl(nGC_2)*coupl(nGC_85)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1754) = (coupl(nGC_1)*coupl(nGC_146)**2d0 + coupl(nGC_1)*coupl(&
                        nGC_150)**2d0 + 4d0*coupl(nGC_1)*coupl(nGC_80)**2d0 +  &
                        coupl(nGC_192)**2d0*coupl(nGC_2) + coupl(nGC_194)*coupl&
                        (nGC_2)*coupl(nGC_641) + coupl(nGC_195)**2d0*coupl(    &
                        nGC_2) + coupl(nGC_197)*coupl(nGC_198)*coupl(nGC_2) +  &
                        4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_88  &
                        )**2d0 + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0)/(32d0*pi &
                        **2d0)
      coupl(nGC_3209) = coupl(nGC_88)*dZcL_QCD2
      coupl(nGC_1928) = coupl(nGC_7)**2d0*sq2**2d0*(cMB*coupl(nGC_137) + cMC*  &
                        coupl(nGC_133) + cMD*coupl(nGC_149) + cMS*coupl(nGC_173&
                        ) + cMT*coupl(nGC_180) + cMU*coupl(nGC_195))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_1929) = (-coupl(nGC_161)**2d0*coupl(nGC_165) + coupl(nGC_162)* &
                        coupl(nGC_63)*coupl(nGC_80) - coupl(nGC_163)**2d0*coupl&
                        (nGC_165) + coupl(nGC_163)*coupl(nGC_653)*coupl(nGC_89 &
                        ) + coupl(nGC_163)*coupl(nGC_86)*coupl(nGC_92) - coupl(&
                        nGC_165)**3d0 - coupl(nGC_165)*coupl(nGC_167)**2d0 +   &
                        8d0*coupl(nGC_165)*coupl(nGC_4)**2d0 + 8d0*coupl(      &
                        nGC_165)*coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_166)* &
                        coupl(nGC_639)*coupl(nGC_80) + coupl(nGC_167)*coupl(   &
                        nGC_611)*coupl(nGC_89) + coupl(nGC_167)*coupl(nGC_86)* &
                        coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_1926) = (-coupl(nGC_153)**2d0*coupl(nGC_157) + coupl(nGC_154)* &
                        coupl(nGC_621)*coupl(nGC_80) - coupl(nGC_156)**2d0*    &
                        coupl(nGC_157) + coupl(nGC_156)*coupl(nGC_653)*coupl(  &
                        nGC_86) + coupl(nGC_156)*coupl(nGC_89)*coupl(nGC_92) - &
                        coupl(nGC_157)**3d0 - coupl(nGC_157)*coupl(nGC_160)**  &
                        2d0 + 8d0*coupl(nGC_157)*coupl(nGC_4)**2d0 + 8d0*coupl(&
                        nGC_157)*coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_158)* &
                        coupl(nGC_69)*coupl(nGC_80) + coupl(nGC_160)*coupl(    &
                        nGC_611)*coupl(nGC_86) + coupl(nGC_160)*coupl(nGC_89)* &
                        coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_1927) = coupl(nGC_7)**2d0*sq2**2d0*(-cMB*coupl(nGC_137) - cMC* &
                        coupl(nGC_133) - cMD*coupl(nGC_149) - cMS*coupl(nGC_173&
                        ) - cMT*coupl(nGC_180) - cMU*coupl(nGC_195))/(16d0*pi**&
                        2d0)
      coupl(nGC_1924) = coupl(nGC_149)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1925) = (-coupl(nGC_153)**2d0*coupl(nGC_157) + coupl(nGC_154)* &
                        coupl(nGC_63)*coupl(nGC_80) - coupl(nGC_155)**2d0*coupl&
                        (nGC_157) + coupl(nGC_155)*coupl(nGC_653)*coupl(nGC_89 &
                        ) + coupl(nGC_155)*coupl(nGC_86)*coupl(nGC_92) - coupl(&
                        nGC_157)**3d0 - coupl(nGC_157)*coupl(nGC_159)**2d0 +   &
                        8d0*coupl(nGC_157)*coupl(nGC_4)**2d0 + 8d0*coupl(      &
                        nGC_157)*coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_158)* &
                        coupl(nGC_639)*coupl(nGC_80) + coupl(nGC_159)*coupl(   &
                        nGC_611)*coupl(nGC_89) + coupl(nGC_159)*coupl(nGC_86)* &
                        coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_1915) = (-8d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_84)**2d0 + 8d0*Nc&
                        *cMB*coupl(nGC_137)*coupl(nGC_84)*coupl(nGC_87) - 8d0* &
                        Nc*cMB*coupl(nGC_137)*coupl(nGC_87)**2d0 - 8d0*Nc*cMC* &
                        coupl(nGC_133)*coupl(nGC_85)**2d0 + 8d0*Nc*cMC*coupl(  &
                        nGC_133)*coupl(nGC_85)*coupl(nGC_88) - 8d0*Nc*cMC*coupl&
                        (nGC_133)*coupl(nGC_88)**2d0 - 8d0*Nc*cMD*coupl(nGC_149&
                        )*coupl(nGC_84)**2d0 + 8d0*Nc*cMD*coupl(nGC_149)*coupl(&
                        nGC_84)*coupl(nGC_87) - 8d0*Nc*cMD*coupl(nGC_149)*coupl&
                        (nGC_87)**2d0 - 8d0*Nc*cMS*coupl(nGC_173)*coupl(nGC_84 &
                        )**2d0 + 8d0*Nc*cMS*coupl(nGC_173)*coupl(nGC_84)*coupl(&
                        nGC_87) - 8d0*Nc*cMS*coupl(nGC_173)*coupl(nGC_87)**2d0 &
                         - 8d0*Nc*cMT*coupl(nGC_180)*coupl(nGC_85)**2d0 + 8d0* &
                        Nc*cMT*coupl(nGC_180)*coupl(nGC_85)*coupl(nGC_88) - 8d0&
                        *Nc*cMT*coupl(nGC_180)*coupl(nGC_88)**2d0 - 8d0*Nc*cMU*&
                        coupl(nGC_195)*coupl(nGC_85)**2d0 + 8d0*Nc*cMU*coupl(  &
                        nGC_195)*coupl(nGC_85)*coupl(nGC_88) - 8d0*Nc*cMU*coupl&
                        (nGC_195)*coupl(nGC_88)**2d0 - 8d0*cME*coupl(nGC_157)* &
                        coupl(nGC_86)**2d0 + 8d0*cME*coupl(nGC_157)*coupl(     &
                        nGC_86)*coupl(nGC_89) - 8d0*cME*coupl(nGC_157)*coupl(  &
                        nGC_89)**2d0 - 8d0*cMM*coupl(nGC_165)*coupl(nGC_86)**  &
                        2d0 + 8d0*cMM*coupl(nGC_165)*coupl(nGC_86)*coupl(nGC_89&
                        ) - 8d0*cMM*coupl(nGC_165)*coupl(nGC_89)**2d0 - 8d0*   &
                        cMTA*coupl(nGC_188)*coupl(nGC_86)**2d0 + 8d0*cMTA*coupl&
                        (nGC_188)*coupl(nGC_86)*coupl(nGC_89) - 8d0*cMTA*coupl(&
                        nGC_188)*coupl(nGC_89)**2d0 + 4d0*cima*coupl(nGC_125)* &
                        coupl(nGC_631) - coupl(nGC_102)*coupl(nGC_613)*coupl(  &
                        nGC_623) - coupl(nGC_102)*coupl(nGC_621)*coupl(nGC_82  &
                        ) - coupl(nGC_102)*coupl(nGC_623)*coupl(nGC_64) - coupl&
                        (nGC_102)*coupl(nGC_63)*coupl(nGC_82) - coupl(nGC_107)*&
                        coupl(nGC_623)*coupl(nGC_635) - coupl(nGC_107)*coupl(  &
                        nGC_623)*coupl(nGC_68) - coupl(nGC_107)*coupl(nGC_639)*&
                        coupl(nGC_82) - coupl(nGC_107)*coupl(nGC_69)*coupl(    &
                        nGC_82) + 6d0*coupl(nGC_125)*coupl(nGC_623)**2d0 + 6d0*&
                        coupl(nGC_125)*coupl(nGC_82)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1923) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_149) - coupl(nGC_145  &
                        )**2d0*coupl(nGC_149) - coupl(nGC_146)*coupl(nGC_193)* &
                        coupl(nGC_195) - coupl(nGC_146)*coupl(nGC_613)*coupl(  &
                        nGC_80) - coupl(nGC_147)**2d0*coupl(nGC_149) - coupl(  &
                        nGC_147)*coupl(nGC_653)*coupl(nGC_84) - coupl(nGC_147)*&
                        coupl(nGC_87)*coupl(nGC_92) - coupl(nGC_149)**3d0 -    &
                        coupl(nGC_149)*coupl(nGC_151)**2d0 + 8d0*coupl(nGC_149 &
                        )*coupl(nGC_84)*coupl(nGC_87) - coupl(nGC_150)*coupl(  &
                        nGC_195)*coupl(nGC_196) - coupl(nGC_150)*coupl(nGC_68)*&
                        coupl(nGC_80) - coupl(nGC_151)*coupl(nGC_611)*coupl(   &
                        nGC_84) - coupl(nGC_151)*coupl(nGC_87)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_1920) = (-coupl(nGC_130)**2d0*coupl(nGC_133) - coupl(nGC_131)* &
                        coupl(nGC_170)*coupl(nGC_173) - coupl(nGC_131)*coupl(  &
                        nGC_621)*coupl(nGC_80) - coupl(nGC_132)**2d0*coupl(    &
                        nGC_133) - coupl(nGC_132)*coupl(nGC_653)*coupl(nGC_85  &
                        ) - coupl(nGC_132)*coupl(nGC_88)*coupl(nGC_92) - coupl(&
                        nGC_133)**3d0 - coupl(nGC_133)*coupl(nGC_136)**2d0 +   &
                        8d0*coupl(nGC_133)*coupl(nGC_2)**2d0 + 8d0*coupl(      &
                        nGC_133)*coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_134)* &
                        coupl(nGC_173)*coupl(nGC_174) - coupl(nGC_134)*coupl(  &
                        nGC_69)*coupl(nGC_80) - coupl(nGC_136)*coupl(nGC_611)* &
                        coupl(nGC_85) - coupl(nGC_136)*coupl(nGC_88)*coupl(    &
                        nGC_94))/(32d0*pi**2d0)
      coupl(nGC_1921) = coupl(nGC_133)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2251) = coupl(nGC_879)*db_QED2 + coupl(nGC_880)*dl3_QED4 +     &
                        coupl(nGC_881)*dl2_QED4 + coupl(nGC_882)*dl1_QED4 +    &
                        coupl(nGC_883)*dl4_QED4 + coupl(nGC_884)*dl5_QED4
      coupl(nGC_2369) = coupl(nGC_1447)*db_QED2 + coupl(nGC_1448)*dyc1_QED3 +  &
                        coupl(nGC_1449)*dyc2_QED3
      coupl(nGC_2253) = coupl(nGC_873)*db_QED2 + coupl(nGC_874)*dl3_QED4 +     &
                        coupl(nGC_875)*dl2_QED4 + coupl(nGC_876)*dl1_QED4 +    &
                        coupl(nGC_877)*dl4_QED4 + coupl(nGC_878)*dl5_QED4
      coupl(nGC_2252) = coupl(nGC_1153)*db_QED2 + coupl(nGC_1154)*dl3_QED4 +   &
                        coupl(nGC_1155)*dl2_QED4 + coupl(nGC_1156)*dl1_QED4 +  &
                        coupl(nGC_1157)*dl4_QED4 + coupl(nGC_1158)*dl5_QED4 +  &
                        coupl(nGC_1159)*da_QED2
      coupl(nGC_2255) = coupl(nGC_943)*db_QED2 + coupl(nGC_944)*dl3_QED4 +     &
                        coupl(nGC_945)*dl2_QED4 + coupl(nGC_946)*dl1_QED4 +    &
                        coupl(nGC_947)*dl4_QED4 + coupl(nGC_948)*dl5_QED4
      coupl(nGC_2254) = coupl(nGC_973)*db_QED2 + coupl(nGC_974)*dl3_QED4 +     &
                        coupl(nGC_975)*dl2_QED4 + coupl(nGC_976)*dl1_QED4 +    &
                        coupl(nGC_977)*dl4_QED4 + coupl(nGC_978)*dl5_QED4
      coupl(nGC_2257) = coupl(nGC_1256)*db_QED2 + coupl(nGC_1257)*dl3_QED4 +   &
                        coupl(nGC_1258)*dl2_QED4 + coupl(nGC_1259)*dl1_QED4 +  &
                        coupl(nGC_1260)*dl4_QED4 + coupl(nGC_1261)*dl5_QED4 +  &
                        coupl(nGC_1262)*da_QED2
      coupl(nGC_2707) = coupl(nGC_101)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_2258) = coupl(nGC_1216)*db_QED2 + coupl(nGC_1217)*dl3_QED4 +   &
                        coupl(nGC_1218)*dl2_QED4 + coupl(nGC_1219)*dl1_QED4 +  &
                        coupl(nGC_1220)*dl4_QED4 + coupl(nGC_1221)*dl5_QED4 +  &
                        coupl(nGC_1222)*da_QED2
      coupl(nGC_2704) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_2702) = coupl(nGC_14)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_15)* &
                        dZHhHl_QED2/2d0 + coupl(nGC_16)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_16)*dZHl_QED2/2d0 + coupl(nGC_16)*           &
                        dZWMinus_QED2/2d0 + coupl(nGC_16)*dZZ_QED2/2d0 + coupl(&
                        nGC_2330) + coupl(nGC_70)*dZAZ_QED2/2d0
      coupl(nGC_2701) = coupl(nGC_10)*dZHhHl_QED2 + coupl(nGC_13)*dZHh_QED2 +  &
                        coupl(nGC_13)*dZHl_QED2 + coupl(nGC_2259) + coupl(nGC_9&
                        )*dZHlHh_QED2
      coupl(nGC_3229) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_2001) = (coupl(nGC_192)**2d0*coupl(nGC_88) + coupl(nGC_193)**  &
                        2d0*coupl(nGC_87) + coupl(nGC_194)*coupl(nGC_641)*coupl&
                        (nGC_88) + coupl(nGC_195)**2d0*coupl(nGC_88) + coupl(  &
                        nGC_196)**2d0*coupl(nGC_87) + coupl(nGC_197)*coupl(    &
                        nGC_198)*coupl(nGC_88) + 4d0*coupl(nGC_2)**2d0*coupl(  &
                        nGC_85) + 4d0*coupl(nGC_85)**3d0)/(32d0*pi**2d0)
      coupl(nGC_TS_GC_29_Hh) = -coupl(nGC_29)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_188_Hh) = -coupl(nGC_188)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2383) = coupl(nGC_1057)*db_QED2 + coupl(nGC_1058)*dyd12x2_QED3 &
                         + coupl(nGC_1059)*dys2_QED3
      coupl(nGC_3258) = -coupl(nGC_MI)*dZA_QED2
      coupl(nGC_2387) = coupl(nGC_1486)*db_QED2 + coupl(nGC_1487)*dyd13x3_QED3 &
                         + coupl(nGC_1488)*dyb2_QED3
      coupl(nGC_2386) = coupl(nGC_1496)*dyd13x3_QED1_QCD2 + coupl(nGC_1497)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_2385) = coupl(nGC_1495)*db_QED2 + coupl(nGC_1496)*dyd13x3_QED3 &
                         + coupl(nGC_1497)*dyb2_QED3
      coupl(nGC_2384) = coupl(nGC_1058)*dyd12x2_QED1_QCD2 + coupl(nGC_1059)*   &
                        dys2_QED1_QCD2
      coupl(nGC_3252) = -coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_2388) = coupl(nGC_1487)*dyd13x3_QED1_QCD2 + coupl(nGC_1488)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_3257) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_3254) = coupl(nGC_MZ_GF)*dZG0/2d0
      coupl(nGC_3033) = coupl(nGC_I)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_3030) = coupl(nGC_7)*dZsR_QED2
      coupl(nGC_3031) = coupl(nGC_2328) + coupl(nGC_92)*dZHa_QED2/2d0 + coupl( &
                        nGC_92)*dZHh_QED2/2d0 + coupl(nGC_92)*dZZ_QED2/2d0 +   &
                        coupl(nGC_94)*dZG0Ha_QED2/2d0 + coupl(nGC_94)*         &
                        dZHlHh_QED2/2d0
      coupl(nGC_1922) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_149) - coupl(nGC_145  &
                        )**2d0*coupl(nGC_149) - coupl(nGC_146)*coupl(nGC_193)* &
                        coupl(nGC_195) - coupl(nGC_146)*coupl(nGC_64)*coupl(   &
                        nGC_80) - coupl(nGC_148)**2d0*coupl(nGC_149) - coupl(  &
                        nGC_148)*coupl(nGC_653)*coupl(nGC_87) - coupl(nGC_148)*&
                        coupl(nGC_84)*coupl(nGC_92) - coupl(nGC_149)**3d0 -    &
                        coupl(nGC_149)*coupl(nGC_152)**2d0 + 8d0*coupl(nGC_149 &
                        )*coupl(nGC_84)*coupl(nGC_87) - coupl(nGC_150)*coupl(  &
                        nGC_195)*coupl(nGC_196) - coupl(nGC_150)*coupl(nGC_635 &
                        )*coupl(nGC_80) - coupl(nGC_152)*coupl(nGC_611)*coupl( &
                        nGC_87) - coupl(nGC_152)*coupl(nGC_84)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_2952) = coupl(nGC_115)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_1805) = (4d0*Nc*cMB*coupl(nGC_139)**2d0*coupl(nGC_141) + 16d0* &
                        Nc*cMB*coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_141) +  &
                        4d0*Nc*cMB*coupl(nGC_140)**2d0*coupl(nGC_141) + 4d0*Nc*&
                        cMC*coupl(nGC_130)*coupl(nGC_135)**2d0 + 16d0*Nc*cMC*  &
                        coupl(nGC_130)*coupl(nGC_135)*coupl(nGC_136) + 4d0*Nc* &
                        cMC*coupl(nGC_130)*coupl(nGC_136)**2d0 + 4d0*Nc*cMD*   &
                        coupl(nGC_145)*coupl(nGC_151)**2d0 + 16d0*Nc*cMD*coupl(&
                        nGC_145)*coupl(nGC_151)*coupl(nGC_152) + 4d0*Nc*cMD*   &
                        coupl(nGC_145)*coupl(nGC_152)**2d0 + 4d0*Nc*cMS*coupl( &
                        nGC_169)*coupl(nGC_175)**2d0 + 16d0*Nc*cMS*coupl(      &
                        nGC_169)*coupl(nGC_175)*coupl(nGC_176) + 4d0*Nc*cMS*   &
                        coupl(nGC_169)*coupl(nGC_176)**2d0 + 4d0*Nc*cMT*coupl( &
                        nGC_177)*coupl(nGC_182)**2d0 + 16d0*Nc*cMT*coupl(      &
                        nGC_177)*coupl(nGC_182)*coupl(nGC_183) + 4d0*Nc*cMT*   &
                        coupl(nGC_177)*coupl(nGC_183)**2d0 + 4d0*Nc*cMU*coupl( &
                        nGC_192)*coupl(nGC_197)**2d0 + 16d0*Nc*cMU*coupl(      &
                        nGC_192)*coupl(nGC_197)*coupl(nGC_198) + 4d0*Nc*cMU*   &
                        coupl(nGC_192)*coupl(nGC_198)**2d0 + 4d0*cME*coupl(    &
                        nGC_153)*coupl(nGC_159)**2d0 + 16d0*cME*coupl(nGC_153)*&
                        coupl(nGC_159)*coupl(nGC_160) + 4d0*cME*coupl(nGC_153)*&
                        coupl(nGC_160)**2d0 + 4d0*cMM*coupl(nGC_161)*coupl(    &
                        nGC_167)**2d0 + 16d0*cMM*coupl(nGC_161)*coupl(nGC_167)*&
                        coupl(nGC_168) + 4d0*cMM*coupl(nGC_161)*coupl(nGC_168  &
                        )**2d0 + 4d0*cMTA*coupl(nGC_184)*coupl(nGC_190)**2d0 + &
                        16d0*cMTA*coupl(nGC_184)*coupl(nGC_190)*coupl(nGC_191  &
                        ) + 4d0*cMTA*coupl(nGC_184)*coupl(nGC_191)**2d0 + 2d0* &
                        cima*coupl(nGC_101)*coupl(nGC_128) + 4d0*cima*coupl(   &
                        nGC_124)*coupl(nGC_62) + coupl(nGC_103)*coupl(nGC_611)*&
                        coupl(nGC_94) + coupl(nGC_104)*coupl(nGC_643)*coupl(   &
                        nGC_91) + coupl(nGC_106)*coupl(nGC_611)*coupl(nGC_91   &
                        ) + coupl(nGC_106)*coupl(nGC_643)*coupl(nGC_94) + 2d0* &
                        coupl(nGC_108)*coupl(nGC_637)*coupl(nGC_72) + coupl(   &
                        nGC_109)*coupl(nGC_643)**2d0 + coupl(nGC_109)*coupl(   &
                        nGC_91)**2d0 + coupl(nGC_112)*coupl(nGC_611)**2d0 +    &
                        coupl(nGC_112)*coupl(nGC_94)**2d0 + coupl(nGC_114)*    &
                        coupl(nGC_637)*coupl(nGC_68) + coupl(nGC_114)*coupl(   &
                        nGC_639)*coupl(nGC_72) + coupl(nGC_115)*coupl(nGC_635)*&
                        coupl(nGC_72) + coupl(nGC_115)*coupl(nGC_637)*coupl(   &
                        nGC_69) + coupl(nGC_117)*coupl(nGC_611)*coupl(nGC_643  &
                        ) + coupl(nGC_117)*coupl(nGC_91)*coupl(nGC_94) + coupl(&
                        nGC_120)*coupl(nGC_611)*coupl(nGC_643) + coupl(nGC_120 &
                        )*coupl(nGC_91)*coupl(nGC_94) - 2d0*coupl(nGC_124)*    &
                        coupl(nGC_637)*coupl(nGC_72) - coupl(nGC_128)*coupl(   &
                        nGC_611)*coupl(nGC_94) - coupl(nGC_128)*coupl(nGC_643)*&
                        coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_2950) = -coupl(nGC_2314) - coupl(nGC_72)*dZHMinus_QED2/2d0 -   &
                        coupl(nGC_72)*dZHa_QED2/2d0 - coupl(nGC_72)*           &
                        dZWMinus_QED2/2d0
      coupl(nGC_2956) = coupl(nGC_7)*dZdL_QED2
      coupl(nGC_2957) = coupl(nGC_2344) + coupl(nGC_7)*dZdR_QCD2 + coupl(nGC_7 &
                        )*dZg_QCD2/2d0
      coupl(nGC_1832) = (-coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_181) - coupl(&
                        nGC_139)*coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_177 &
                        )**2d0*coupl(nGC_183) - coupl(nGC_177)*coupl(nGC_643)* &
                        coupl(nGC_85) - coupl(nGC_177)*coupl(nGC_88)*coupl(    &
                        nGC_91) - coupl(nGC_180)**2d0*coupl(nGC_183) - coupl(  &
                        nGC_180)*coupl(nGC_611)*coupl(nGC_85) - coupl(nGC_180)*&
                        coupl(nGC_88)*coupl(nGC_94) - coupl(nGC_181)*coupl(    &
                        nGC_72)*coupl(nGC_80) - coupl(nGC_182)**2d0*coupl(     &
                        nGC_183) + 8d0*coupl(nGC_182)*coupl(nGC_2)**2d0 + 8d0* &
                        coupl(nGC_182)*coupl(nGC_85)*coupl(nGC_88) - coupl(    &
                        nGC_183)*coupl(nGC_627)**2d0)/(32d0*pi**2d0)
      coupl(nGC_TS_GC_130_Hl) = -coupl(nGC_130)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3130) = coupl(nGC_2594) + coupl(nGC_MT)*dZtL_QED2/2d0 + coupl( &
                        nGC_MT)*dZtR_QED2/2d0 + coupl(nGC_TS_GC_177_Hl) + coupl&
                        (nGC_TS_GC_180_Hh)
      coupl(nGC_3137) = -coupl(nGC_MW_GF)*dZGMinus/2d0
      coupl(nGC_2794) = coupl(nGC_172)*dZsL_QCD2/2d0 + coupl(nGC_172)*dZsR_QCD2&
                        /2d0 + coupl(nGC_2406)
      coupl(nGC_2811) = dZGMinusHMinus_QED2*(coupl(nGC_40) + coupl(nGC_41))/2d0
      coupl(nGC_2816) = coupl(nGC_42)*dZGMinus/2d0
      coupl(nGC_2815) = dZHMinusGMinus_QED2*(coupl(nGC_48) + coupl(nGC_49))/2d0
      coupl(nGC_2814) = coupl(nGC_I)*(dZGMinusHMinus_QED2 + dZHMinusGMinus_QED2&
                        )/2d0
      coupl(nGC_1911) = 3d0*(8d0*Nc*cMB*coupl(nGC_137)**3d0 + 8d0*Nc*cMC*coupl(&
                        nGC_133)**3d0 + 8d0*Nc*cMD*coupl(nGC_149)**3d0 + 8d0*Nc&
                        *cMS*coupl(nGC_173)**3d0 + 8d0*Nc*cMT*coupl(nGC_180)** &
                        3d0 + 8d0*Nc*cMU*coupl(nGC_195)**3d0 + 8d0*cME*coupl(  &
                        nGC_157)**3d0 + 8d0*cMM*coupl(nGC_165)**3d0 + 8d0*cMTA*&
                        coupl(nGC_188)**3d0 + 4d0*cima*coupl(nGC_125)*coupl(   &
                        nGC_61) + 2d0*cima*coupl(nGC_129)*coupl(nGC_99) + coupl&
                        (nGC_111)*coupl(nGC_613)*coupl(nGC_635) + coupl(nGC_111&
                        )*coupl(nGC_621)*coupl(nGC_639) + coupl(nGC_111)*coupl(&
                        nGC_63)*coupl(nGC_69) + coupl(nGC_111)*coupl(nGC_64)*  &
                        coupl(nGC_68) + coupl(nGC_112)*coupl(nGC_611)*coupl(   &
                        nGC_92) + coupl(nGC_112)*coupl(nGC_653)*coupl(nGC_94   &
                        ) + coupl(nGC_116)*coupl(nGC_635)*coupl(nGC_68) + coupl&
                        (nGC_116)*coupl(nGC_639)*coupl(nGC_69) + coupl(nGC_117 &
                        )*coupl(nGC_611)*coupl(nGC_94) + coupl(nGC_118)*coupl( &
                        nGC_613)*coupl(nGC_64) + coupl(nGC_118)*coupl(nGC_621)*&
                        coupl(nGC_63) + coupl(nGC_121)*coupl(nGC_653)*coupl(   &
                        nGC_92) - coupl(nGC_125)*coupl(nGC_613)*coupl(nGC_64   &
                        ) - coupl(nGC_125)*coupl(nGC_621)*coupl(nGC_63) - coupl&
                        (nGC_125)*coupl(nGC_635)*coupl(nGC_68) - coupl(nGC_125 &
                        )*coupl(nGC_639)*coupl(nGC_69) - coupl(nGC_129)*coupl( &
                        nGC_611)*coupl(nGC_94) - coupl(nGC_129)*coupl(nGC_653)*&
                        coupl(nGC_92))/(32d0*pi**2d0)
      coupl(nGC_2709) = coupl(nGC_120)*dZG0/2d0
      coupl(nGC_TS_GC_111_Hh) = -coupl(nGC_111)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1847) = (4d0*Nc*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_80) -  &
                        4d0*Nc*coupl(nGC_141)*coupl(nGC_142)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_169)*coupl(nGC_170)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_80) -   &
                        4d0*coupl(nGC_153)*coupl(nGC_154)*coupl(nGC_80) - 4d0* &
                        coupl(nGC_161)*coupl(nGC_162)*coupl(nGC_80) - 6d0*coupl&
                        (nGC_17)*coupl(nGC_3)*coupl(nGC_635) - 4d0*coupl(      &
                        nGC_184)*coupl(nGC_185)*coupl(nGC_80) + coupl(nGC_611)*&
                        coupl(nGC_637)*coupl(nGC_651) + coupl(nGC_613)*coupl(  &
                        nGC_621)*coupl(nGC_69) + coupl(nGC_621)*coupl(nGC_63)* &
                        coupl(nGC_639) - 6d0*coupl(nGC_623)*coupl(nGC_637)*    &
                        coupl(nGC_94) + coupl(nGC_63)**2d0*coupl(nGC_68) - 6d0*&
                        coupl(nGC_635)*coupl(nGC_82)*coupl(nGC_96) + coupl(    &
                        nGC_68)*coupl(nGC_69)**2d0 + coupl(nGC_68)*coupl(nGC_72&
                        )**2d0)/(96d0*pi**2d0)
      coupl(nGC_3042) = coupl(nGC_177)*dZHl_QED2/2d0 + coupl(nGC_177)*dZtL_QED2&
                        /2d0 + coupl(nGC_177)*dZtR_QED2/2d0 + coupl(nGC_180)*  &
                        dZHhHl_QED2/2d0 + coupl(nGC_2459)
      coupl(nGC_3041) = coupl(nGC_2257) + coupl(nGC_25)*dZHhHl_QED2 + coupl(   &
                        nGC_28)*dZHaG0_QED2 + coupl(nGC_39)*dZHl_QED2
      coupl(nGC_2311) = coupl(nGC_1009)*dZee_QED2 + coupl(nGC_1010)*da_QED2 +  &
                        coupl(nGC_1011)*dsw_QED2 + coupl(nGC_1012)*db_QED2
      coupl(nGC_3049) = coupl(nGC_177)*dZHlHh_QED2/2d0 + coupl(nGC_180)*       &
                        dZHh_QED2/2d0 + coupl(nGC_180)*dZtL_QED2/2d0 + coupl(  &
                        nGC_180)*dZtR_QED2/2d0 + coupl(nGC_2453)
      coupl(nGC_2927) = coupl(nGC_2251) + coupl(nGC_42)*dZG0Ha_QED2 + coupl(   &
                        nGC_42)*dZGMinusHMinus_QED2 + coupl(nGC_50)*           &
                        dZHMinus_QED2 + coupl(nGC_50)*dZHa_QED2
      coupl(nGC_2926) = coupl(nGC_111)*dZGMinus/2d0
      coupl(nGC_2730) = coupl(nGC_2258) + coupl(nGC_23)*dZHhHl_QED2 + coupl(   &
                        nGC_24)*dZHMinusGMinus_QED2 + coupl(nGC_35)*dZHl_QED2
      coupl(nGC_2921) = coupl(nGC_164)*dZHa_QED2/2d0 + coupl(nGC_164)*         &
                        dZmuMinusL_QED2/2d0 + coupl(nGC_164)*dZmuMinusR_QED2/  &
                        2d0 + coupl(nGC_168)*dZG0Ha_QED2/2d0 + coupl(nGC_2434)
      coupl(nGC_2920) = coupl(nGC_163)*dZHa_QED2/2d0 + coupl(nGC_163)*         &
                        dZmuMinusL_QED2/2d0 + coupl(nGC_163)*dZmuMinusR_QED2/  &
                        2d0 + coupl(nGC_167)*dZG0Ha_QED2/2d0 + coupl(nGC_2433)
      coupl(nGC_2929) = coupl(nGC_16)*dZGMinus/2d0
      coupl(nGC_1846) = (4d0*Nc*coupl(nGC_131)*coupl(nGC_133)*coupl(nGC_80) -  &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_178)*coupl(nGC_180)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_80) -   &
                        4d0*coupl(nGC_154)*coupl(nGC_157)*coupl(nGC_80) - 4d0* &
                        coupl(nGC_162)*coupl(nGC_165)*coupl(nGC_80) - 6d0*coupl&
                        (nGC_17)*coupl(nGC_3)*coupl(nGC_613) - 4d0*coupl(      &
                        nGC_185)*coupl(nGC_188)*coupl(nGC_80) + coupl(nGC_613)*&
                        coupl(nGC_635)*coupl(nGC_69) - 6d0*coupl(nGC_613)*coupl&
                        (nGC_82)*coupl(nGC_96) - 6d0*coupl(nGC_623)*coupl(     &
                        nGC_637)*coupl(nGC_92) + coupl(nGC_63)**2d0*coupl(     &
                        nGC_64) + coupl(nGC_63)*coupl(nGC_635)*coupl(nGC_639   &
                        ) + coupl(nGC_637)*coupl(nGC_651)*coupl(nGC_653) +     &
                        coupl(nGC_64)*coupl(nGC_69)**2d0 + coupl(nGC_64)*coupl(&
                        nGC_72)**2d0)/(96d0*pi**2d0)
      coupl(nGC_3189) = coupl(nGC_2344) + coupl(nGC_7)*dZg_QCD2/2d0 + coupl(   &
                        nGC_7)*dZtL_QCD2
      coupl(nGC_1966) = (-coupl(nGC_184)**3d0 - coupl(nGC_184)*coupl(nGC_186)**&
                        2d0 - coupl(nGC_184)*coupl(nGC_188)**2d0 - coupl(      &
                        nGC_184)*coupl(nGC_190)**2d0 + 8d0*coupl(nGC_184)*coupl&
                        (nGC_4)**2d0 + 8d0*coupl(nGC_184)*coupl(nGC_86)*coupl( &
                        nGC_89) + coupl(nGC_185)*coupl(nGC_69)*coupl(nGC_80) + &
                        coupl(nGC_186)*coupl(nGC_611)*coupl(nGC_89) + coupl(   &
                        nGC_186)*coupl(nGC_86)*coupl(nGC_94) + coupl(nGC_189)* &
                        coupl(nGC_613)*coupl(nGC_80) + coupl(nGC_190)*coupl(   &
                        nGC_643)*coupl(nGC_89) + coupl(nGC_190)*coupl(nGC_86)* &
                        coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_2317) = coupl(nGC_1014)*dZee_QED2 + coupl(nGC_1015)*da_QED2 +  &
                        coupl(nGC_1016)*dsw_QED2 + coupl(nGC_1017)*db_QED2
      coupl(nGC_1715) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_85)*coupl(    &
                        nGC_88))/(8d0*pi**2d0)
      coupl(nGC_1967) = (-coupl(nGC_184)**3d0 - coupl(nGC_184)*coupl(nGC_187)**&
                        2d0 - coupl(nGC_184)*coupl(nGC_188)**2d0 - coupl(      &
                        nGC_184)*coupl(nGC_191)**2d0 + 8d0*coupl(nGC_184)*coupl&
                        (nGC_4)**2d0 + 8d0*coupl(nGC_184)*coupl(nGC_86)*coupl( &
                        nGC_89) + coupl(nGC_185)*coupl(nGC_639)*coupl(nGC_80   &
                        ) + coupl(nGC_187)*coupl(nGC_611)*coupl(nGC_86) + coupl&
                        (nGC_187)*coupl(nGC_89)*coupl(nGC_94) + coupl(nGC_189)*&
                        coupl(nGC_64)*coupl(nGC_80) + coupl(nGC_191)*coupl(    &
                        nGC_643)*coupl(nGC_86) + coupl(nGC_191)*coupl(nGC_89)* &
                        coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_22_Hh) = -coupl(nGC_22)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_22_Hl) = -coupl(nGC_22)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1867) = (2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_84  &
                        ) - 2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_80)*coupl&
                        (nGC_88) + 2d0*Nc*cMC*coupl(nGC_131)*coupl(nGC_80)*    &
                        coupl(nGC_85) - 2d0*Nc*cMC*coupl(nGC_131)*coupl(nGC_80 &
                        )*coupl(nGC_87) - 2d0*Nc*cMC*coupl(nGC_131)*coupl(     &
                        nGC_80)*coupl(nGC_88) + 2d0*Nc*cMD*coupl(nGC_146)*coupl&
                        (nGC_80)*coupl(nGC_84) - 2d0*Nc*cMD*coupl(nGC_146)*    &
                        coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc*cMD*coupl(nGC_146 &
                        )*coupl(nGC_80)*coupl(nGC_88) + 2d0*Nc*cMS*coupl(      &
                        nGC_170)*coupl(nGC_80)*coupl(nGC_84) - 2d0*Nc*cMS*coupl&
                        (nGC_170)*coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc*cMS*    &
                        coupl(nGC_170)*coupl(nGC_80)*coupl(nGC_88) + 2d0*Nc*cMT&
                        *coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_85) - 2d0*Nc*  &
                        cMT*coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc&
                        *cMT*coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_88) + 2d0* &
                        Nc*cMU*coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_85) - 2d0&
                        *Nc*cMU*coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_87) -   &
                        2d0*Nc*cMU*coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_88   &
                        ) + 2d0*cME*coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_86  &
                        ) - 2d0*cME*coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_89  &
                        ) - 2d0*cME*coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_90  &
                        ) + 2d0*cMM*coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_86  &
                        ) - 2d0*cMM*coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_89  &
                        ) - 2d0*cMM*coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_90  &
                        ) + 2d0*cMTA*coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_86 &
                        ) - 2d0*cMTA*coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_89 &
                        ) - 2d0*cMTA*coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_90 &
                        ) + 4d0*cima*coupl(nGC_102)*coupl(nGC_79) + 4d0*cima*  &
                        coupl(nGC_126)*coupl(nGC_605) - coupl(nGC_102)*coupl(  &
                        nGC_17)*coupl(nGC_3) + 6d0*coupl(nGC_102)*coupl(nGC_623&
                        )*coupl(nGC_82) - coupl(nGC_102)*coupl(nGC_82)*coupl(  &
                        nGC_96) - coupl(nGC_124)*coupl(nGC_623)*coupl(nGC_639  &
                        ) - coupl(nGC_125)*coupl(nGC_621)*coupl(nGC_623) + 6d0*&
                        coupl(nGC_126)*coupl(nGC_3)*coupl(nGC_623) - coupl(    &
                        nGC_128)*coupl(nGC_623)*coupl(nGC_68) - coupl(nGC_129)*&
                        coupl(nGC_623)*coupl(nGC_64))/(32d0*pi**2d0)
      coupl(nGC_1714) = cMU*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_1863) = (coupl(nGC_17)*coupl(nGC_185)*coupl(nGC_4) + coupl(    &
                        nGC_184)*coupl(nGC_69)*coupl(nGC_80) + coupl(nGC_185)* &
                        coupl(nGC_651)*coupl(nGC_90) + 8d0*coupl(nGC_185)*coupl&
                        (nGC_86)*coupl(nGC_90) + coupl(nGC_185)*coupl(nGC_86)* &
                        coupl(nGC_96) + coupl(nGC_187)*coupl(nGC_72)*coupl(    &
                        nGC_80) + coupl(nGC_188)*coupl(nGC_63)*coupl(nGC_80))/(&
                        32d0*pi**2d0)
      coupl(nGC_1860) = coupl(nGC_193)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1790) = (-4d0*Nc*coupl(nGC_132)*coupl(nGC_134)*coupl(nGC_80) + &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_143)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_172)*coupl(nGC_174)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_179)*coupl(nGC_181)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_194)*coupl(nGC_196)*coupl(nGC_80) +   &
                        4d0*coupl(nGC_156)*coupl(nGC_158)*coupl(nGC_80) + 4d0* &
                        coupl(nGC_164)*coupl(nGC_166)*coupl(nGC_80) + 4d0*coupl&
                        (nGC_187)*coupl(nGC_189)*coupl(nGC_80) - 6d0*coupl(    &
                        nGC_611)*coupl(nGC_64)*coupl(nGC_82) + coupl(nGC_621)* &
                        coupl(nGC_68)*coupl(nGC_72) + coupl(nGC_635)*coupl(    &
                        nGC_64)*coupl(nGC_72) + coupl(nGC_64)*coupl(nGC_94)*   &
                        coupl(nGC_96) - 6d0*coupl(nGC_653)*coupl(nGC_69)*coupl(&
                        nGC_82) + coupl(nGC_69)*coupl(nGC_92)*coupl(nGC_96))/( &
                        96d0*pi**2d0)
      coupl(nGC_3181) = coupl(nGC_136)*dZG0/2d0
      coupl(nGC_TS_GC_9_Hl) = -coupl(nGC_9)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1986) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_84) + coupl(nGC_145)**&
                        2d0*coupl(nGC_87) + coupl(nGC_146)**2d0*coupl(nGC_88   &
                        ) + coupl(nGC_147)*coupl(nGC_148)*coupl(nGC_87) + coupl&
                        (nGC_149)**2d0*coupl(nGC_87) + coupl(nGC_150)**2d0*    &
                        coupl(nGC_88) + coupl(nGC_151)*coupl(nGC_152)*coupl(   &
                        nGC_87) + 4d0*coupl(nGC_84)**3d0)/(32d0*pi**2d0)
      coupl(nGC_TS_GC_9_Hh) = -coupl(nGC_9)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1818) = (-coupl(nGC_130)**2d0*coupl(nGC_135) - coupl(nGC_130)* &
                        coupl(nGC_643)*coupl(nGC_88) - coupl(nGC_130)*coupl(   &
                        nGC_85)*coupl(nGC_91) - coupl(nGC_131)*coupl(nGC_170)* &
                        coupl(nGC_176) - coupl(nGC_132)**2d0*coupl(nGC_135) -  &
                        coupl(nGC_133)**2d0*coupl(nGC_135) - coupl(nGC_133)*   &
                        coupl(nGC_611)*coupl(nGC_88) - coupl(nGC_133)*coupl(   &
                        nGC_85)*coupl(nGC_94) - coupl(nGC_134)*coupl(nGC_174)* &
                        coupl(nGC_176) - coupl(nGC_134)*coupl(nGC_637)*coupl(  &
                        nGC_80) - coupl(nGC_135)*coupl(nGC_136)**2d0 + 8d0*    &
                        coupl(nGC_136)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_136)* &
                        coupl(nGC_85)*coupl(nGC_88))/(32d0*pi**2d0)
      coupl(nGC_1819) = coupl(nGC_136)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_12_Hh) = -coupl(nGC_12)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2031) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_6)**3d0 - 48d0*coupl(&
                        nGC_7)**3d0)/(768d0*pi**2d0)
      coupl(nGC_2030) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_6)**3d0 + 48d0*coupl( &
                        nGC_7)**3d0)/(768d0*pi**2d0)
      coupl(nGC_2740) = coupl(nGC_36)*dZGMinus/2d0
      coupl(nGC_2747) = coupl(nGC_19)*dZHMinus_QED2/2d0 + coupl(nGC_19)*       &
                        dZHa_QED2/2d0 + coupl(nGC_19)*dZWMinus_QED2/2d0 + coupl&
                        (nGC_19)*dZZ_QED2/2d0 + coupl(nGC_2335) + coupl(nGC_73 &
                        )*dZAZ_QED2/2d0
      coupl(nGC_2745) = coupl(nGC_43)*(dZG0 + 2d0*dZGMinus)/2d0
      coupl(nGC_2212) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_84)**2d0 +  &
                        coupl(nGC_85)**2d0 + coupl(nGC_87)**2d0 + coupl(nGC_88 &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_2749) = coupl(nGC_107)*dZGMinus/2d0
      coupl(nGC_2219) = (20d0*Nc*cima*coupl(nGC_6)**4d0*sq2**4d0 + 12d0*Nc*cima&
                        *coupl(nGC_647)*coupl(nGC_649) - 12d0*Nc*cima*coupl(   &
                        nGC_649)*coupl(nGC_8) - 3d0*Nc*coupl(nGC_6)**2d0*coupl(&
                        nGC_645)*sq2**2d0 + 15d0*Nc*coupl(nGC_6)**2d0*coupl(   &
                        nGC_647)*sq2**2d0 - 15d0*Nc*coupl(nGC_6)**2d0*coupl(   &
                        nGC_649)*sq2**2d0 - 21d0*Nc*coupl(nGC_6)**2d0*coupl(   &
                        nGC_8)*sq2**2d0 - 12d0*cima*coupl(nGC_7)**4d0*sq2**4d0 &
                        )/(768d0*pi**2d0*Nc)
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
