!******************************************************************************!
!                                                                              !
!    ctparameter111.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter111.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 20:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter111
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter111()
  dMT_QED2 = cima*(coupl(nGC_177)*dtHl_QED1/cMHL**2d0 + coupl(nGC_180)*        &
             dtHh_QED1/cMHH**2d0) + (2d0*Ten806*cMT*coupl(nGC_2)**2d0 + Ten807*&
             cMT*(-coupl(nGC_182)**2d0 - 2d0*coupl(nGC_182)*coupl(nGC_183) -   &
             coupl(nGC_183)**2d0 - 2d0*coupl(nGC_85)**2d0 + 8d0*coupl(nGC_85)* &
             coupl(nGC_88) - 2d0*coupl(nGC_88)**2d0)/2d0 - Ten808*(2d0*cMB*    &
             coupl(nGC_138)*coupl(nGC_181) + cMT*coupl(nGC_138)**2d0 + cMT*    &
             coupl(nGC_181)**2d0 + 2d0*cMT*coupl(nGC_80)**2d0)/2d0 - Ten809*cMT&
             *coupl(nGC_179)**2d0 + Ten810*cMT*coupl(nGC_177)**2d0 + Ten811*cMT&
             *coupl(nGC_180)**2d0 - 2d0*Ten812*cMT*coupl(nGC_2)**2d0 - Ten813* &
             cMT*(coupl(nGC_182)*coupl(nGC_183) + coupl(nGC_85)**2d0 + coupl(  &
             nGC_88)**2d0) - Ten814*cMT*(coupl(nGC_138)**2d0 + coupl(nGC_181)**&
             2d0 + 2d0*coupl(nGC_80)**2d0)/2d0 + Ten815*cMT*(coupl(nGC_142)**  &
             2d0 + coupl(nGC_178)**2d0)/2d0 - Ten816*cMT*coupl(nGC_179)**2d0 - &
             Ten817*cMT*coupl(nGC_177)**2d0 - Ten818*cMT*coupl(nGC_180)**2d0 - &
             Ten819*cMB*coupl(nGC_142)*coupl(nGC_178) + 2d0*Ten820*cMT*coupl(  &
             nGC_179)**2d0*rMT*(-cMT + rMT) + 2d0*Ten821*cMT*coupl(nGC_177)**  &
             2d0*rMT*(-cMT + rMT) + 2d0*Ten822*cMT*coupl(nGC_180)**2d0*rMT*(-  &
             cMT + rMT) + 4d0*Ten823*coupl(nGC_2)**2d0*rMT*(2d0*cMT**2d0 - 3d0*&
             cMT*rMT + rMT**2d0) + Ten824*rMT*(-cMT**2d0*coupl(nGC_182)**2d0 - &
             cMT**2d0*coupl(nGC_183)**2d0 + 8d0*cMT**2d0*coupl(nGC_85)*coupl(  &
             nGC_88) + cMT*coupl(nGC_182)**2d0*rMT - 2d0*cMT*coupl(nGC_182)*   &
             coupl(nGC_183)*rMT + cMT*coupl(nGC_183)**2d0*rMT - 2d0*cMT*coupl( &
             nGC_85)**2d0*rMT - 8d0*cMT*coupl(nGC_85)*coupl(nGC_88)*rMT - 2d0* &
             cMT*coupl(nGC_88)**2d0*rMT + 2d0*coupl(nGC_182)*coupl(nGC_183)*rMT&
             **2d0 + 2d0*coupl(nGC_85)**2d0*rMT**2d0 + 2d0*coupl(nGC_88)**2d0* &
             rMT**2d0) + Ten825*rMT*(-2d0*cMB*cMT*coupl(nGC_138)*coupl(nGC_181 &
             ) + 2d0*cMB*coupl(nGC_138)*coupl(nGC_181)*rMT - cMT*coupl(nGC_138 &
             )**2d0*rMT - cMT*coupl(nGC_181)**2d0*rMT - 2d0*cMT*coupl(nGC_80)**&
             2d0*rMT + coupl(nGC_138)**2d0*rMT**2d0 + coupl(nGC_181)**2d0*rMT**&
             2d0 + 2d0*coupl(nGC_80)**2d0*rMT**2d0) + 2d0*Ten826*cMB*coupl(    &
             nGC_142)*coupl(nGC_178)*rMT*(-cMT + rMT) + 2d0*Ten827*coupl(      &
             nGC_179)**2d0*rMT**2d0*(-cMT + rMT) + 2d0*Ten828*coupl(nGC_177)** &
             2d0*rMT**2d0*(cMT - rMT) + 2d0*Ten829*coupl(nGC_180)**2d0*rMT**2d0&
             *(cMT - rMT) + 4d0*Ten830*coupl(nGC_2)**2d0*rMT**2d0*(-cMT + rMT  &
             ) + 2d0*Ten831*rMT**2d0*(-cMT*coupl(nGC_182)*coupl(nGC_183) - cMT*&
             coupl(nGC_85)**2d0 - cMT*coupl(nGC_88)**2d0 + coupl(nGC_182)*coupl&
             (nGC_183)*rMT + coupl(nGC_85)**2d0*rMT + coupl(nGC_88)**2d0*rMT   &
             ) + Ten832*rMT**2d0*(-cMT*coupl(nGC_138)**2d0 - cMT*coupl(nGC_181 &
             )**2d0 - 2d0*cMT*coupl(nGC_80)**2d0 + coupl(nGC_138)**2d0*rMT +   &
             coupl(nGC_181)**2d0*rMT + 2d0*coupl(nGC_80)**2d0*rMT) + Ten833*rMT&
             **2d0*(cMT*coupl(nGC_142)**2d0 + cMT*coupl(nGC_178)**2d0 - coupl( &
             nGC_142)**2d0*rMT - coupl(nGC_178)**2d0*rMT) + (-64d0*pi*aEW*cMT**&
             2d0 + 64d0*pi*aEW*rMT**2d0 - 18d0*cMT*coupl(nGC_2)**2d0*rMT + 9d0*&
             cMT*coupl(nGC_80)**2d0*rMT + 9d0*cMT*coupl(nGC_85)**2d0*rMT - 36d0&
             *cMT*coupl(nGC_85)*coupl(nGC_88)*rMT + 9d0*cMT*coupl(nGC_88)**2d0*&
             rMT)/(18d0*rMT))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dMT_QED2 = cone*real(dMT_QED2,kind=dp)
    end if 
end subroutine set_ctparameter111
end module ctparameter111
