!******************************************************************************!
!                                                                              !
!    ctparameter125.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter125.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 20:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter125
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter125()
  DeltaUV = DeltaUV + log(muUV**2/muMS**2)
  dZA_MS_QED2 = DeltaUV*(12d0*Nc*coupl(nGC_1)**2d0 + 12d0*Nc*coupl(nGC_2)**2d0 &
                 + 2d0*coupl(nGC_17)**2d0 - 9d0*coupl(nGC_3)**2d0 + 11d0*coupl(&
                nGC_4)**2d0)/(48d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZA_MS_QED2 = cone*real(dZA_MS_QED2,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS**2)
end subroutine set_ctparameter125
end module ctparameter125
