!******************************************************************************!
!                                                                              !
!    ctparameter126.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter126.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 20:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter126
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter126()
  if (dZdL_QED2_scheme .eq. 0) then
    dZdL_QED2 = (2d0*Ten622*coupl(nGC_1)**2d0 + Ten623*(coupl(nGC_151)*coupl(  &
                nGC_152) + 2d0*coupl(nGC_87)**2d0) + Ten624*(coupl(nGC_196)**  &
                2d0 + 2d0*coupl(nGC_80)**2d0) - Ten625*coupl(nGC_147)*coupl(   &
                nGC_148) - Ten626*coupl(nGC_145)**2d0 - Ten627*coupl(nGC_149)**&
                2d0 + 2d0*Ten628*coupl(nGC_1)**2d0 + Ten629*(coupl(nGC_151)*   &
                coupl(nGC_152) + 2d0*coupl(nGC_87)**2d0) + Ten630*(coupl(      &
                nGC_196)**2d0 + 2d0*coupl(nGC_80)**2d0) - Ten631*coupl(nGC_193 &
                )**2d0 + Ten636*cMD**2d0*(coupl(nGC_147)**2d0 + coupl(nGC_148  &
                )**2d0) + 2d0*Ten637*cMD**2d0*coupl(nGC_145)**2d0 + 2d0*Ten638*&
                cMD**2d0*coupl(nGC_149)**2d0 - 4d0*Ten639*cMD**2d0*coupl(nGC_1 &
                )**2d0 + Ten640*cMD**2d0*(coupl(nGC_151)**2d0 + 2d0*coupl(     &
                nGC_151)*coupl(nGC_152) + coupl(nGC_152)**2d0 + 2d0*coupl(     &
                nGC_84)**2d0 - 8d0*coupl(nGC_84)*coupl(nGC_87) + 2d0*coupl(    &
                nGC_87)**2d0) + Ten641*cMD*(cMD*coupl(nGC_150)**2d0 + cMD*coupl&
                (nGC_196)**2d0 + 2d0*cMD*coupl(nGC_80)**2d0 + 2d0*cMU*coupl(   &
                nGC_150)*coupl(nGC_196)) + 2d0*Ten642*cMD*cMU*coupl(nGC_146)*  &
                coupl(nGC_193) - 2d0*Ten643*cMD**2d0*coupl(nGC_147)*coupl(     &
                nGC_148) - 2d0*Ten644*cMD**2d0*coupl(nGC_145)**2d0 - 2d0*Ten645&
                *cMD**2d0*coupl(nGC_149)**2d0 + 4d0*Ten646*cMD**2d0*coupl(nGC_1&
                )**2d0 + 2d0*Ten647*cMD**2d0*(coupl(nGC_151)*coupl(nGC_152) +  &
                coupl(nGC_84)**2d0 + coupl(nGC_87)**2d0) + Ten648*cMD**2d0*(   &
                coupl(nGC_150)**2d0 + coupl(nGC_196)**2d0 + 2d0*coupl(nGC_80)**&
                2d0) - Ten649*cMD**2d0*(coupl(nGC_146)**2d0 + coupl(nGC_193)** &
                2d0) - coupl(nGC_1)**2d0 - coupl(nGC_80)**2d0 - coupl(nGC_87)**&
                2d0)/(16d0*pi**2d0)
    dZdL_QED2 = cone*real(dZdL_QED2,kind=dp)
  end if 
end subroutine set_ctparameter126
end module ctparameter126
