!******************************************************************************!
!                                                                              !
!    ctparameter165.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter165.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 20:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter165
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter165()
  if (dMM_QED2_scheme .eq. 0) then
    dMM_QED2 = cima*(coupl(nGC_161)*dtHl_QED1/cMHL**2d0 + coupl(nGC_165)*      &
               dtHh_QED1/cMHH**2d0) + (2d0*Ten863*cMM*coupl(nGC_4)**2d0 +      &
               Ten864*cMM*(-coupl(nGC_167)**2d0 - 2d0*coupl(nGC_167)*coupl(    &
               nGC_168) - coupl(nGC_168)**2d0 - 2d0*coupl(nGC_86)**2d0 + 8d0*  &
               coupl(nGC_86)*coupl(nGC_89) - 2d0*coupl(nGC_89)**2d0)/2d0 +     &
               Ten865*cMM*coupl(nGC_163)*coupl(nGC_164) + Ten866*cMM*coupl(    &
               nGC_165)**2d0 + Ten867*cMM*coupl(nGC_161)**2d0 - 2d0*Ten868*cMM*&
               coupl(nGC_4)**2d0 + Ten869*cMM*(coupl(nGC_166)**2d0 + 2d0*coupl(&
               nGC_80)**2d0)/2d0 + Ten870*cMM*coupl(nGC_162)**2d0/2d0 - Ten871*&
               cMM*(coupl(nGC_167)*coupl(nGC_168) + coupl(nGC_86)**2d0 + coupl(&
               nGC_89)**2d0) - Ten872*cMM*(coupl(nGC_163)**2d0 + coupl(nGC_164 &
               )**2d0)/2d0 - Ten873*cMM*coupl(nGC_165)**2d0 - Ten874*cMM*coupl(&
               nGC_161)**2d0 + Ten875*cMM*rMM*(-cMM*coupl(nGC_163)**2d0 - cMM* &
               coupl(nGC_164)**2d0 + coupl(nGC_163)**2d0*rMM + coupl(nGC_164)**&
               2d0*rMM) + 2d0*Ten876*cMM*coupl(nGC_165)**2d0*rMM*(-cMM + rMM   &
               ) + 2d0*Ten877*cMM*coupl(nGC_161)**2d0*rMM*(-cMM + rMM) + 4d0*  &
               Ten878*coupl(nGC_4)**2d0*rMM*(2d0*cMM**2d0 - 3d0*cMM*rMM + rMM**&
               2d0) + Ten879*rMM*(-cMM**2d0*coupl(nGC_167)**2d0 - cMM**2d0*    &
               coupl(nGC_168)**2d0 + 8d0*cMM**2d0*coupl(nGC_86)*coupl(nGC_89   &
               ) + cMM*coupl(nGC_167)**2d0*rMM - 2d0*cMM*coupl(nGC_167)*coupl( &
               nGC_168)*rMM + cMM*coupl(nGC_168)**2d0*rMM - 2d0*cMM*coupl(     &
               nGC_86)**2d0*rMM - 8d0*cMM*coupl(nGC_86)*coupl(nGC_89)*rMM - 2d0&
               *cMM*coupl(nGC_89)**2d0*rMM + 2d0*coupl(nGC_167)*coupl(nGC_168)*&
               rMM**2d0 + 2d0*coupl(nGC_86)**2d0*rMM**2d0 + 2d0*coupl(nGC_89)**&
               2d0*rMM**2d0) + 2d0*Ten880*coupl(nGC_163)*coupl(nGC_164)*rMM**  &
               2d0*(cMM - rMM) + 2d0*Ten881*coupl(nGC_165)**2d0*rMM**2d0*(cMM  &
                - rMM) + 2d0*Ten882*coupl(nGC_161)**2d0*rMM**2d0*(cMM - rMM) + &
               4d0*Ten883*coupl(nGC_4)**2d0*rMM**2d0*(-cMM + rMM) + Ten884*rMM &
               **2d0*(cMM*coupl(nGC_166)**2d0 + 2d0*cMM*coupl(nGC_80)**2d0 -   &
               coupl(nGC_166)**2d0*rMM - 2d0*coupl(nGC_80)**2d0*rMM) + Ten885* &
               coupl(nGC_162)**2d0*rMM**2d0*(cMM - rMM) + 2d0*Ten886*rMM**2d0  &
               *(-cMM*coupl(nGC_167)*coupl(nGC_168) - cMM*coupl(nGC_86)**2d0 - &
               cMM*coupl(nGC_89)**2d0 + coupl(nGC_167)*coupl(nGC_168)*rMM +    &
               coupl(nGC_86)**2d0*rMM + coupl(nGC_89)**2d0*rMM) + (-16d0*pi*aEW&
               *cMM**2d0 + 16d0*pi*aEW*rMM**2d0 - 2d0*cMM*coupl(nGC_4)**2d0*rMM&
                + cMM*coupl(nGC_80)**2d0*rMM + cMM*coupl(nGC_86)**2d0*rMM - 4d0&
               *cMM*coupl(nGC_86)*coupl(nGC_89)*rMM + cMM*coupl(nGC_89)**2d0*  &
               rMM)/(2d0*rMM))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dMM_QED2 = cone*real(dMM_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter165
end module ctparameter165
