!******************************************************************************!
!                                                                              !
!    ctparameter188.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter188.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 20:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter188
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter188()
  dr_QED2 = cMW**2d0*dMZ2_QED2*ee/(cMZ**2d0*gw*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ &
            **2d0)*(-cMW**2d0 + cMZ**2d0)) + 2d0*dZeeZM_QED2*ee*(cMW**2d0 - cMZ&
            **2d0)/(gw*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0)*(-cMW**2d0 + cMZ**&
            2d0)) + (4d0*Nc*Ten343*coupl(nGC_80)**2d0*(cMW**2d0 - cMZ**2d0)/(  &
            cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0*Nc*Ten344*coupl(nGC_80)**2d0&
            *(cMW**2d0 - cMZ**2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0*Nc* &
            Ten345*coupl(nGC_80)**2d0*(cMW**2d0 - cMZ**2d0)/(cMW**2d0*(-cMW**  &
            2d0 + cMZ**2d0)) + 8d0*Nc*Ten489*coupl(nGC_2)*(cMW**2d0*coupl(     &
            nGC_85) + cMW**2d0*coupl(nGC_88) - cMZ**2d0*coupl(nGC_85) - cMZ**  &
            2d0*coupl(nGC_88))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 8d0*Nc&
            *Ten490*coupl(nGC_2)*(cMW**2d0*coupl(nGC_85) + cMW**2d0*coupl(     &
            nGC_88) - cMZ**2d0*coupl(nGC_85) - cMZ**2d0*coupl(nGC_88))/(cMZ**  &
            2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 8d0*Nc*Ten491*coupl(nGC_2)*(cMW&
            **2d0*coupl(nGC_85) + cMW**2d0*coupl(nGC_88) - cMZ**2d0*coupl(     &
            nGC_85) - cMZ**2d0*coupl(nGC_88))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ &
            **2d0)) + 8d0*Nc*Ten492*coupl(nGC_1)*(cMW**2d0*coupl(nGC_84) + cMW &
            **2d0*coupl(nGC_87) - cMZ**2d0*coupl(nGC_84) - cMZ**2d0*coupl(     &
            nGC_87))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 8d0*Nc*Ten493*  &
            coupl(nGC_1)*(cMW**2d0*coupl(nGC_84) + cMW**2d0*coupl(nGC_87) - cMZ&
            **2d0*coupl(nGC_84) - cMZ**2d0*coupl(nGC_87))/(cMZ**2d0*cw*sw*(-cMW&
            **2d0 + cMZ**2d0)) + 8d0*Nc*Ten494*coupl(nGC_1)*(cMW**2d0*coupl(   &
            nGC_84) + cMW**2d0*coupl(nGC_87) - cMZ**2d0*coupl(nGC_84) - cMZ**  &
            2d0*coupl(nGC_87))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 4d0*Nc&
            *Ten502*cMU**2d0*coupl(nGC_2)*(-cMW**2d0*coupl(nGC_85) - cMW**2d0* &
            coupl(nGC_88) + cMZ**2d0*coupl(nGC_85) + cMZ**2d0*coupl(nGC_88))/( &
            cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 4d0*Nc*Ten503*cMC**2d0*   &
            coupl(nGC_2)*(-cMW**2d0*coupl(nGC_85) - cMW**2d0*coupl(nGC_88) +   &
            cMZ**2d0*coupl(nGC_85) + cMZ**2d0*coupl(nGC_88))/(cMZ**2d0*cw*sw*(-&
            cMW**2d0 + cMZ**2d0)) + 4d0*Nc*Ten504*cMT**2d0*coupl(nGC_2)*(-cMW**&
            2d0*coupl(nGC_85) - cMW**2d0*coupl(nGC_88) + cMZ**2d0*coupl(nGC_85 &
            ) + cMZ**2d0*coupl(nGC_88))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0  &
            )) + 4d0*Nc*Ten505*cMD**2d0*coupl(nGC_1)*(-cMW**2d0*coupl(nGC_84   &
            ) - cMW**2d0*coupl(nGC_87) + cMZ**2d0*coupl(nGC_84) + cMZ**2d0*    &
            coupl(nGC_87))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 4d0*Nc*   &
            Ten506*cMS**2d0*coupl(nGC_1)*(-cMW**2d0*coupl(nGC_84) - cMW**2d0*  &
            coupl(nGC_87) + cMZ**2d0*coupl(nGC_84) + cMZ**2d0*coupl(nGC_87))/( &
            cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 4d0*Nc*Ten507*cMB**2d0*   &
            coupl(nGC_1)*(-cMW**2d0*coupl(nGC_84) - cMW**2d0*coupl(nGC_87) +   &
            cMZ**2d0*coupl(nGC_84) + cMZ**2d0*coupl(nGC_87))/(cMZ**2d0*cw*sw*(-&
            cMW**2d0 + cMZ**2d0)) + cima*Ten0*coupl(nGC_61)/(2d0*cMW**2d0) +   &
            cima*Ten1*(-cMW**2d0*coupl(nGC_62) - 6d0*cMW**2d0*coupl(nGC_79) +  &
            cMZ**2d0*coupl(nGC_62) + 6d0*cMZ**2d0*coupl(nGC_79))/(2d0*cMW**2d0 &
            *(-cMW**2d0 + cMZ**2d0)) + Ten1128*(17d0*cMW**2d0*coupl(nGC_3)**2d0&
             - cMW**2d0*coupl(nGC_4)**2d0 - 17d0*cMZ**2d0*coupl(nGC_3)**2d0 +  &
            cMZ**2d0*coupl(nGC_4)**2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0&
            *Ten1129*coupl(nGC_68)*coupl(nGC_69)/cMW**2d0 + 4d0*Ten1130*coupl( &
            nGC_63)*coupl(nGC_64)/cMW**2d0 + 4d0*Ten1131*coupl(nGC_72)**2d0/cMW&
            **2d0 + Ten1132*(-4d0*cMW**2d0*coupl(nGC_72)**2d0 - cMW**2d0*coupl(&
            nGC_81)**2d0 + 17d0*cMW**2d0*coupl(nGC_82)**2d0 + 4d0*cMZ**2d0*    &
            coupl(nGC_72)**2d0 + cMZ**2d0*coupl(nGC_81)**2d0 - 17d0*cMZ**2d0*  &
            coupl(nGC_82)**2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + cima*Ten13 &
            *(-2d0*cMW**4d0*coupl(nGC_97) - cMW**2d0*cMZ**2d0*coupl(nGC_62)*cw*&
            sw + 2d0*cMW**2d0*cMZ**2d0*coupl(nGC_97) + cMZ**4d0*coupl(nGC_62)* &
            cw*sw)/(cMW**2d0*cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + cima*    &
            Ten14*coupl(nGC_62)/(2d0*cMW**2d0) + cima*Ten2*coupl(nGC_61)/(2d0* &
            cMW**2d0) + cima*Ten3*(6d0*cMW**4d0*coupl(nGC_83) - 2d0*cMW**4d0*  &
            coupl(nGC_97) - cMW**2d0*cMZ**2d0*coupl(nGC_62)*cw*sw + 3d0*cMW**  &
            2d0*cMZ**2d0*coupl(nGC_78)*cw*sw - 6d0*cMW**2d0*cMZ**2d0*coupl(    &
            nGC_83) + 2d0*cMW**2d0*cMZ**2d0*coupl(nGC_97) + cMZ**4d0*coupl(    &
            nGC_62)*cw*sw - 3d0*cMZ**4d0*coupl(nGC_78)*cw*sw)/(cMW**2d0*cMZ**  &
            2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + Ten334*coupl(nGC_127)**2d0/cMW &
            **2d0 + Ten335*coupl(nGC_124)**2d0/cMW**2d0 + Ten336*coupl(nGC_125 &
            )**2d0/cMW**2d0 + Ten337*coupl(nGC_107)**2d0/cMW**2d0 + 4d0*Ten346*&
            coupl(nGC_63)*coupl(nGC_64)/cMW**2d0 + 4d0*Ten347*coupl(nGC_68)*   &
            coupl(nGC_69)/cMW**2d0 + 4d0*Ten348*coupl(nGC_80)**2d0*(cMW**2d0 - &
            cMZ**2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0*Ten349*coupl(    &
            nGC_80)**2d0*(cMW**2d0 - cMZ**2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0 &
            )) + 4d0*Ten350*coupl(nGC_80)**2d0*(cMW**2d0 - cMZ**2d0)/(cMW**2d0 &
            *(-cMW**2d0 + cMZ**2d0)) + 8d0*Ten486*coupl(nGC_4)*(cMW**2d0*coupl(&
            nGC_86) + cMW**2d0*coupl(nGC_89) - cMZ**2d0*coupl(nGC_86) - cMZ**  &
            2d0*coupl(nGC_89))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 8d0*  &
            Ten487*coupl(nGC_4)*(cMW**2d0*coupl(nGC_86) + cMW**2d0*coupl(nGC_89&
            ) - cMZ**2d0*coupl(nGC_86) - cMZ**2d0*coupl(nGC_89))/(cMZ**2d0*cw* &
            sw*(-cMW**2d0 + cMZ**2d0)) + 8d0*Ten488*coupl(nGC_4)*(cMW**2d0*    &
            coupl(nGC_86) + cMW**2d0*coupl(nGC_89) - cMZ**2d0*coupl(nGC_86) -  &
            cMZ**2d0*coupl(nGC_89))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) +  &
            4d0*Ten499*cME**2d0*coupl(nGC_4)*(-cMW**2d0*coupl(nGC_86) - cMW**  &
            2d0*coupl(nGC_89) + cMZ**2d0*coupl(nGC_86) + cMZ**2d0*coupl(nGC_89 &
            ))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 4d0*Ten500*cMM**2d0*  &
            coupl(nGC_4)*(-cMW**2d0*coupl(nGC_86) - cMW**2d0*coupl(nGC_89) +   &
            cMZ**2d0*coupl(nGC_86) + cMZ**2d0*coupl(nGC_89))/(cMZ**2d0*cw*sw*(-&
            cMW**2d0 + cMZ**2d0)) + 4d0*Ten501*cMTA**2d0*coupl(nGC_4)*(-cMW**  &
            2d0*coupl(nGC_86) - cMW**2d0*coupl(nGC_89) + cMZ**2d0*coupl(nGC_86 &
            ) + cMZ**2d0*coupl(nGC_89))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0  &
            )) + 4d0*Ten968*coupl(nGC_107)*coupl(nGC_127)/(cMZ**2d0*cw*sw) +   &
            2d0*Ten971*(4d0*cMW**2d0*coupl(nGC_17)*coupl(nGC_96) + 17d0*cMW**  &
            2d0*coupl(nGC_3)*coupl(nGC_82) - cMW**2d0*coupl(nGC_4)*coupl(nGC_81&
            ) - 4d0*cMZ**2d0*coupl(nGC_17)*coupl(nGC_96) - 17d0*cMZ**2d0*coupl(&
            nGC_3)*coupl(nGC_82) + cMZ**2d0*coupl(nGC_4)*coupl(nGC_81))/(cMZ** &
            2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 8d0*Ten978*coupl(nGC_17)*coupl(&
            nGC_96)*(cMW**2d0 - cMZ**2d0)/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0&
            )) + (-8d0*Nc*cMB**2d0*cMW**4d0*coupl(nGC_1)*coupl(nGC_84)*sw - 8d0&
            *Nc*cMB**2d0*cMW**4d0*coupl(nGC_1)*coupl(nGC_87)*sw + 8d0*Nc*cMB** &
            2d0*cMW**2d0*cMZ**2d0*coupl(nGC_1)*coupl(nGC_84)*sw + 8d0*Nc*cMB** &
            2d0*cMW**2d0*cMZ**2d0*coupl(nGC_1)*coupl(nGC_87)*sw - 2d0*Nc*cMB** &
            2d0*cMW**2d0*cMZ**2d0*coupl(nGC_80)**2d0*cw*sw**2d0 + 2d0*Nc*cMB** &
            2d0*cMZ**4d0*coupl(nGC_80)**2d0*cw*sw**2d0 - 8d0*Nc*cMC**2d0*cMW** &
            4d0*coupl(nGC_2)*coupl(nGC_85)*sw - 8d0*Nc*cMC**2d0*cMW**4d0*coupl(&
            nGC_2)*coupl(nGC_88)*sw + 8d0*Nc*cMC**2d0*cMW**2d0*cMZ**2d0*coupl( &
            nGC_2)*coupl(nGC_85)*sw + 8d0*Nc*cMC**2d0*cMW**2d0*cMZ**2d0*coupl( &
            nGC_2)*coupl(nGC_88)*sw - 2d0*Nc*cMC**2d0*cMW**2d0*cMZ**2d0*coupl( &
            nGC_80)**2d0*cw*sw**2d0 + 2d0*Nc*cMC**2d0*cMZ**4d0*coupl(nGC_80)** &
            2d0*cw*sw**2d0 - 8d0*Nc*cMD**2d0*cMW**4d0*coupl(nGC_1)*coupl(nGC_84&
            )*sw - 8d0*Nc*cMD**2d0*cMW**4d0*coupl(nGC_1)*coupl(nGC_87)*sw + 8d0&
            *Nc*cMD**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_1)*coupl(nGC_84)*sw + 8d0*&
            Nc*cMD**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_1)*coupl(nGC_87)*sw - 2d0* &
            Nc*cMD**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_80)**2d0*cw*sw**2d0 + 2d0* &
            Nc*cMD**2d0*cMZ**4d0*coupl(nGC_80)**2d0*cw*sw**2d0 - 8d0*Nc*cMS**  &
            2d0*cMW**4d0*coupl(nGC_1)*coupl(nGC_84)*sw - 8d0*Nc*cMS**2d0*cMW** &
            4d0*coupl(nGC_1)*coupl(nGC_87)*sw + 8d0*Nc*cMS**2d0*cMW**2d0*cMZ** &
            2d0*coupl(nGC_1)*coupl(nGC_84)*sw + 8d0*Nc*cMS**2d0*cMW**2d0*cMZ** &
            2d0*coupl(nGC_1)*coupl(nGC_87)*sw - 2d0*Nc*cMS**2d0*cMW**2d0*cMZ** &
            2d0*coupl(nGC_80)**2d0*cw*sw**2d0 + 2d0*Nc*cMS**2d0*cMZ**4d0*coupl(&
            nGC_80)**2d0*cw*sw**2d0 - 8d0*Nc*cMT**2d0*cMW**4d0*coupl(nGC_2)*   &
            coupl(nGC_85)*sw - 8d0*Nc*cMT**2d0*cMW**4d0*coupl(nGC_2)*coupl(    &
            nGC_88)*sw + 8d0*Nc*cMT**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_2)*coupl( &
            nGC_85)*sw + 8d0*Nc*cMT**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_2)*coupl( &
            nGC_88)*sw - 2d0*Nc*cMT**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_80)**2d0* &
            cw*sw**2d0 + 2d0*Nc*cMT**2d0*cMZ**4d0*coupl(nGC_80)**2d0*cw*sw**2d0&
             - 8d0*Nc*cMU**2d0*cMW**4d0*coupl(nGC_2)*coupl(nGC_85)*sw - 8d0*Nc*&
            cMU**2d0*cMW**4d0*coupl(nGC_2)*coupl(nGC_88)*sw + 8d0*Nc*cMU**2d0* &
            cMW**2d0*cMZ**2d0*coupl(nGC_2)*coupl(nGC_85)*sw + 8d0*Nc*cMU**2d0* &
            cMW**2d0*cMZ**2d0*coupl(nGC_2)*coupl(nGC_88)*sw - 2d0*Nc*cMU**2d0* &
            cMW**2d0*cMZ**2d0*coupl(nGC_80)**2d0*cw*sw**2d0 + 2d0*Nc*cMU**2d0* &
            cMZ**4d0*coupl(nGC_80)**2d0*cw*sw**2d0 - 8d0*cME**2d0*cMW**4d0*    &
            coupl(nGC_4)*coupl(nGC_86)*sw - 8d0*cME**2d0*cMW**4d0*coupl(nGC_4)*&
            coupl(nGC_89)*sw + 8d0*cME**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_4)*    &
            coupl(nGC_86)*sw + 8d0*cME**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_4)*    &
            coupl(nGC_89)*sw - 2d0*cME**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_80)**  &
            2d0*cw*sw**2d0 + 2d0*cME**2d0*cMZ**4d0*coupl(nGC_80)**2d0*cw*sw**  &
            2d0 - 8d0*cMM**2d0*cMW**4d0*coupl(nGC_4)*coupl(nGC_86)*sw - 8d0*cMM&
            **2d0*cMW**4d0*coupl(nGC_4)*coupl(nGC_89)*sw + 8d0*cMM**2d0*cMW**  &
            2d0*cMZ**2d0*coupl(nGC_4)*coupl(nGC_86)*sw + 8d0*cMM**2d0*cMW**2d0*&
            cMZ**2d0*coupl(nGC_4)*coupl(nGC_89)*sw - 2d0*cMM**2d0*cMW**2d0*cMZ &
            **2d0*coupl(nGC_80)**2d0*cw*sw**2d0 + 2d0*cMM**2d0*cMZ**4d0*coupl( &
            nGC_80)**2d0*cw*sw**2d0 - 8d0*cMTA**2d0*cMW**4d0*coupl(nGC_4)*coupl&
            (nGC_86)*sw - 8d0*cMTA**2d0*cMW**4d0*coupl(nGC_4)*coupl(nGC_89)*sw &
             + 8d0*cMTA**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_4)*coupl(nGC_86)*sw + &
            8d0*cMTA**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_4)*coupl(nGC_89)*sw - 2d0&
            *cMTA**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_80)**2d0*cw*sw**2d0 + 2d0*  &
            cMTA**2d0*cMZ**4d0*coupl(nGC_80)**2d0*cw*sw**2d0 - 24d0*cMW**6d0*  &
            coupl(nGC_3)*coupl(nGC_82)*sw - 8d0*cima*cMW**6d0*coupl(nGC_83)*sw &
             - 6d0*cMW**4d0*cMZ**2d0*coupl(nGC_3)**2d0*cw*sw**2d0 + 24d0*cMW** &
            4d0*cMZ**2d0*coupl(nGC_3)*coupl(nGC_82)*sw - 4d0*cima*cMW**4d0*cMZ &
            **2d0*coupl(nGC_78)*cw*sw**2d0 - 6d0*cMW**4d0*cMZ**2d0*coupl(nGC_82&
            )**2d0*cw*sw**2d0 + 8d0*cima*cMW**4d0*cMZ**2d0*coupl(nGC_83)*sw -  &
            4d0*cMW**4d0*cMZ**2d0*cw*gw**2d0*sw**2d0*log(cw**2d0) + 12d0*cMW** &
            4d0*cMZ**2d0*cw*gw**2d0*sw**2d0 + 7d0*cMW**4d0*cMZ**2d0*cw*gw**2d0*&
            log(cw**2d0) + 6d0*cMW**2d0*cMZ**4d0*coupl(nGC_3)**2d0*cw*sw**2d0  &
             + 4d0*cima*cMW**2d0*cMZ**4d0*coupl(nGC_78)*cw*sw**2d0 + 4d0*cima* &
            cMW**2d0*cMZ**4d0*coupl(nGC_79)*cw*sw**2d0 + 4d0*cMW**2d0*cMZ**4d0*&
            cw*gw**2d0*sw**2d0*log(cw**2d0) - 12d0*cMW**2d0*cMZ**4d0*cw*gw**2d0&
            *sw**2d0 - 7d0*cMW**2d0*cMZ**4d0*cw*gw**2d0*log(cw**2d0) - 4d0*cima&
            *cMZ**6d0*coupl(nGC_79)*cw*sw**2d0 + 6d0*cMZ**6d0*coupl(nGC_82)**  &
            2d0*cw*sw**2d0)/(2d0*cMW**2d0*cMZ**2d0*cw*sw**2d0*(-cMW**2d0 + cMZ &
            **2d0)))/(16d0*pi**2d0) + dMW2_QED2*(-cMW**2d0*ee - cMW**2d0*gw*   &
            sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0) + cMZ**2d0*gw*sqrt((-cMW**2d0&
             + cMZ**2d0)/cMZ**2d0))/(cMW**2d0*gw*sqrt((-cMW**2d0 + cMZ**2d0)/  &
            cMZ**2d0)*(-cMW**2d0 + cMZ**2d0)) + cima*coupl(nGC_124)*dtHl_QED1/(&
            cMHL**2d0*cMW**2d0) + cima*coupl(nGC_125)*dtHh_QED1/(cMHH**2d0*cMW &
            **2d0)
    if (.not. complex_mass_scheme) then
      dr_QED2 = cone*real(dr_QED2,kind=dp)
    end if 
end subroutine set_ctparameter188
end module ctparameter188
