!******************************************************************************!
!                                                                              !
!    ctparameter205.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter205.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 20:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter205
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter205()
  if (da_QED2_scheme .eq. 7) then
    da_QED2 = ((4d0*MPS**2d0*Nc*coupl(nGC_130)*coupl(nGC_133) + 4d0*MPS**2d0*Nc&
              *coupl(nGC_137)*coupl(nGC_141) + 4d0*MPS**2d0*Nc*coupl(nGC_145)* &
              coupl(nGC_149) + 4d0*MPS**2d0*Nc*coupl(nGC_169)*coupl(nGC_173) + &
              4d0*MPS**2d0*Nc*coupl(nGC_177)*coupl(nGC_180) + 4d0*MPS**2d0*Nc* &
              coupl(nGC_192)*coupl(nGC_195) + 4d0*MPS**2d0*coupl(nGC_153)*coupl&
              (nGC_157) + 4d0*MPS**2d0*coupl(nGC_161)*coupl(nGC_165) + 4d0*MPS &
              **2d0*coupl(nGC_184)*coupl(nGC_188) - MPS**2d0*coupl(nGC_63)*    &
              coupl(nGC_68) - MPS**2d0*coupl(nGC_63)*coupl(nGC_69) - MPS**2d0* &
              coupl(nGC_64)*coupl(nGC_68) - MPS**2d0*coupl(nGC_64)*coupl(nGC_69&
              ) - MPS**2d0*coupl(nGC_91)*coupl(nGC_94) - MPS**2d0*coupl(nGC_92 &
              )*coupl(nGC_94) - 24d0*Nc*cMB**2d0*coupl(nGC_137)*coupl(nGC_141  &
              ) - 24d0*Nc*cMC**2d0*coupl(nGC_130)*coupl(nGC_133) - 24d0*Nc*cMD &
              **2d0*coupl(nGC_145)*coupl(nGC_149) - 24d0*Nc*cMS**2d0*coupl(    &
              nGC_169)*coupl(nGC_173) - 24d0*Nc*cMT**2d0*coupl(nGC_177)*coupl( &
              nGC_180) - 24d0*Nc*cMU**2d0*coupl(nGC_192)*coupl(nGC_195) - 24d0*&
              cME**2d0*coupl(nGC_153)*coupl(nGC_157) + 3d0*cMHA**2d0*coupl(    &
              nGC_92)*coupl(nGC_94) + 3d0*cMHC**2d0*coupl(nGC_63)*coupl(nGC_68 &
              ) + 3d0*cMHC**2d0*coupl(nGC_64)*coupl(nGC_69) - 24d0*cMM**2d0*   &
              coupl(nGC_161)*coupl(nGC_165) - 24d0*cMTA**2d0*coupl(nGC_184)*   &
              coupl(nGC_188) + 3d0*cMW**2d0*coupl(nGC_63)*coupl(nGC_68) + 6d0* &
              cMW**2d0*coupl(nGC_63)*coupl(nGC_69) + 6d0*cMW**2d0*coupl(nGC_64 &
              )*coupl(nGC_68) + 3d0*cMW**2d0*coupl(nGC_64)*coupl(nGC_69) + 6d0*&
              cMZ**2d0*coupl(nGC_91)*coupl(nGC_94) + 3d0*cMZ**2d0*coupl(nGC_92 &
              )*coupl(nGC_94) + 12d0*coupl(nGC_124)*coupl(nGC_125) + 6d0*coupl(&
              nGC_128)*coupl(nGC_129))/(6d0*(MHH**2d0 - MHL**2d0)) + (8d0*MPS**&
              2d0*Nc*Ten1258*coupl(nGC_192)*coupl(nGC_195) + 8d0*MPS**2d0*Nc*  &
              Ten1260*coupl(nGC_192)*coupl(nGC_195) + 8d0*MPS**2d0*Nc*Ten1261* &
              coupl(nGC_130)*coupl(nGC_133) + 8d0*MPS**2d0*Nc*Ten1263*coupl(   &
              nGC_130)*coupl(nGC_133) + 8d0*MPS**2d0*Nc*Ten1264*coupl(nGC_177)*&
              coupl(nGC_180) + 8d0*MPS**2d0*Nc*Ten1266*coupl(nGC_177)*coupl(   &
              nGC_180) + 8d0*MPS**2d0*Nc*Ten1267*coupl(nGC_145)*coupl(nGC_149  &
              ) + 8d0*MPS**2d0*Nc*Ten1269*coupl(nGC_145)*coupl(nGC_149) + 8d0* &
              MPS**2d0*Nc*Ten1270*coupl(nGC_169)*coupl(nGC_173) + 8d0*MPS**2d0*&
              Nc*Ten1272*coupl(nGC_169)*coupl(nGC_173) + 8d0*MPS**2d0*Nc*      &
              Ten1273*coupl(nGC_137)*coupl(nGC_141) + 8d0*MPS**2d0*Nc*Ten1275* &
              coupl(nGC_137)*coupl(nGC_141) - 2d0*MPS**2d0*Ten1237*coupl(nGC_91&
              )*coupl(nGC_94) - 2d0*MPS**2d0*Ten1239*coupl(nGC_91)*coupl(nGC_94&
              ) - 8d0*MPS**2d0*Ten1240*coupl(nGC_92)*coupl(nGC_94) - 2d0*MPS** &
              2d0*Ten1242*coupl(nGC_92)*coupl(nGC_94) - 2d0*MPS**2d0*Ten1243*( &
              coupl(nGC_63)*coupl(nGC_69) + coupl(nGC_64)*coupl(nGC_68)) - 2d0*&
              MPS**2d0*Ten1245*(coupl(nGC_63)*coupl(nGC_69) + coupl(nGC_64)*   &
              coupl(nGC_68)) - 8d0*MPS**2d0*Ten1246*(coupl(nGC_63)*coupl(nGC_68&
              ) + coupl(nGC_64)*coupl(nGC_69)) - 2d0*MPS**2d0*Ten1248*(coupl(  &
              nGC_63)*coupl(nGC_68) + coupl(nGC_64)*coupl(nGC_69)) + 8d0*MPS** &
              2d0*Ten1249*coupl(nGC_153)*coupl(nGC_157) + 8d0*MPS**2d0*Ten1251*&
              coupl(nGC_153)*coupl(nGC_157) + 8d0*MPS**2d0*Ten1252*coupl(      &
              nGC_161)*coupl(nGC_165) + 8d0*MPS**2d0*Ten1254*coupl(nGC_161)*   &
              coupl(nGC_165) + 8d0*MPS**2d0*Ten1255*coupl(nGC_184)*coupl(      &
              nGC_188) + 8d0*MPS**2d0*Ten1257*coupl(nGC_184)*coupl(nGC_188) +  &
              8d0*Nc*Ten1228*cMU**2d0*coupl(nGC_192)*coupl(nGC_195) + 8d0*Nc*  &
              Ten1229*cMC**2d0*coupl(nGC_130)*coupl(nGC_133) + 8d0*Nc*Ten1230* &
              cMT**2d0*coupl(nGC_177)*coupl(nGC_180) + 8d0*Nc*Ten1231*cMD**2d0*&
              coupl(nGC_145)*coupl(nGC_149) + 8d0*Nc*Ten1232*cMS**2d0*coupl(   &
              nGC_169)*coupl(nGC_173) + 8d0*Nc*Ten1233*cMB**2d0*coupl(nGC_137)*&
              coupl(nGC_141) + 32d0*Nc*Ten1259*coupl(nGC_192)*coupl(nGC_195) + &
              32d0*Nc*Ten1262*coupl(nGC_130)*coupl(nGC_133) + 32d0*Nc*Ten1265* &
              coupl(nGC_177)*coupl(nGC_180) + 32d0*Nc*Ten1268*coupl(nGC_145)*  &
              coupl(nGC_149) + 32d0*Nc*Ten1271*coupl(nGC_169)*coupl(nGC_173) + &
              32d0*Nc*Ten1274*coupl(nGC_137)*coupl(nGC_141) + cima*Ten0*coupl( &
              nGC_9) + cima*Ten1*coupl(nGC_25) + Ten1219*(-5d0*MPS**2d0*coupl( &
              nGC_91)*coupl(nGC_94) - coupl(nGC_109)*coupl(nGC_117) - 4d0*coupl&
              (nGC_128)*coupl(nGC_129) + 2d0*coupl(nGC_93)*coupl(nGC_95)) - 2d0&
              *Ten1220*(4d0*MPS**2d0*coupl(nGC_92)*coupl(nGC_94) + coupl(      &
              nGC_112)*coupl(nGC_120)) - Ten1221*coupl(nGC_113)*coupl(nGC_121  &
              ) + Ten1222*(-5d0*MPS**2d0*coupl(nGC_63)*coupl(nGC_69) - 5d0*MPS &
              **2d0*coupl(nGC_64)*coupl(nGC_68) - 2d0*coupl(nGC_108)*coupl(    &
              nGC_116) - 8d0*coupl(nGC_124)*coupl(nGC_125) + 4d0*coupl(nGC_67)*&
              coupl(nGC_71)) - 4d0*Ten1223*(2d0*MPS**2d0*coupl(nGC_63)*coupl(  &
              nGC_68) + 2d0*MPS**2d0*coupl(nGC_64)*coupl(nGC_69) + coupl(      &
              nGC_111)*coupl(nGC_119)) - 2d0*Ten1224*coupl(nGC_110)*coupl(     &
              nGC_118) + 8d0*Ten1225*cME**2d0*coupl(nGC_153)*coupl(nGC_157) +  &
              8d0*Ten1226*cMM**2d0*coupl(nGC_161)*coupl(nGC_165) + 8d0*Ten1227*&
              cMTA**2d0*coupl(nGC_184)*coupl(nGC_188) - Ten1234*coupl(nGC_104)*&
              coupl(nGC_106) - 2d0*Ten1235*coupl(nGC_103)*coupl(nGC_106) -     &
              Ten1236*coupl(nGC_103)*coupl(nGC_105) - 8d0*Ten1238*coupl(nGC_91 &
              )*coupl(nGC_94) - 8d0*Ten1241*coupl(nGC_92)*coupl(nGC_94) - 8d0* &
              Ten1244*(coupl(nGC_63)*coupl(nGC_69) + coupl(nGC_64)*coupl(nGC_68&
              )) - 8d0*Ten1247*(coupl(nGC_63)*coupl(nGC_68) + coupl(nGC_64)*   &
              coupl(nGC_69)) + 32d0*Ten1250*coupl(nGC_153)*coupl(nGC_157) +    &
              32d0*Ten1253*coupl(nGC_161)*coupl(nGC_165) + 32d0*Ten1256*coupl( &
              nGC_184)*coupl(nGC_188) + 2d0*cima*Ten13*coupl(nGC_22) + cima*   &
              Ten14*coupl(nGC_26) + cima*Ten2*coupl(nGC_10) + 2d0*cima*Ten3*   &
              coupl(nGC_23))/(2d0*(MHH**2d0 - MHL**2d0)))/(16d0*pi**2d0) + cima&
              *(coupl(nGC_106)*dtHl_QED1/cMHL**2d0 + coupl(nGC_103)*dtHh_QED1/ &
              cMHH**2d0)/(MHH**2d0 - MHL**2d0)
    da_QED2 = cone*real(da_QED2,kind=dp)
  end if 
end subroutine set_ctparameter205
end module ctparameter205
