!******************************************************************************!
!                                                                              !
!    ctparameter28.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter28.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 20:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter28
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter28()
  if (dZgs_QCD2_scheme .eq. 2) then
    DeltaUV = DeltaUV + log(muUV**2/muMS**2)
    dZgs_QCD2 = (DeltaUV*coupl(nGC_7)*sq2**2d0*(5d0*cima*Nc*coupl(nGC_6)**2d0  &
                 - 9d0*Nc*coupl(nGC_6)*coupl(nGC_7) + 3d0*cima*Nc*coupl(nGC_7  &
                )**2d0 + 8d0*cima*coupl(nGC_7)**2d0)/(12d0*gs) + cima*coupl(   &
                nGC_7)**3d0*sq2**2d0*(Ten834 + Ten835)/(6d0*gs))/(16d0*pi**2d0)
    dZgs_QCD2 = cone*real(dZgs_QCD2,kind=dp)
    DeltaUV = DeltaUV - log(muUV**2/muMS**2)
  end if 
end subroutine set_ctparameter28
end module ctparameter28
