!******************************************************************************!
!                                                                              !
!    ctparameter41.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter41.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 20:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter41
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter41()
  if (dZbR_QED2_scheme .eq. 0) then
    dZbR_QED2 = (2d0*Ten746*coupl(nGC_1)**2d0 + Ten747*(coupl(nGC_139)*coupl(  &
                nGC_140) + 2d0*coupl(nGC_84)**2d0) + Ten748*coupl(nGC_138)**2d0&
                 - Ten749*coupl(nGC_143)*coupl(nGC_144) - Ten750*coupl(nGC_137 &
                )**2d0 - Ten751*coupl(nGC_141)**2d0 + 2d0*Ten752*coupl(nGC_1)**&
                2d0 + Ten753*(coupl(nGC_139)*coupl(nGC_140) + 2d0*coupl(nGC_84 &
                )**2d0) + Ten754*coupl(nGC_138)**2d0 - Ten755*coupl(nGC_142)** &
                2d0 + Ten760*cMB*rMB*(coupl(nGC_143)**2d0 + coupl(nGC_144)**2d0&
                ) + 2d0*Ten761*cMB*coupl(nGC_137)**2d0*rMB + 2d0*Ten762*cMB*   &
                coupl(nGC_141)**2d0*rMB + 4d0*Ten763*coupl(nGC_1)**2d0*rMB*(-  &
                2d0*cMB + rMB) + Ten764*rMB*(cMB*coupl(nGC_139)**2d0 + cMB*    &
                coupl(nGC_140)**2d0 - 8d0*cMB*coupl(nGC_84)*coupl(nGC_87) + 2d0&
                *coupl(nGC_139)*coupl(nGC_140)*rMB + 2d0*coupl(nGC_84)**2d0*rMB&
                 + 2d0*coupl(nGC_87)**2d0*rMB) + Ten765*rMB*(2d0*cMT*coupl(    &
                nGC_138)*coupl(nGC_181) + coupl(nGC_138)**2d0*rMB + coupl(     &
                nGC_181)**2d0*rMB + 2d0*coupl(nGC_80)**2d0*rMB) + 2d0*Ten766*  &
                cMT*coupl(nGC_142)*coupl(nGC_178)*rMB - 2d0*Ten767*coupl(      &
                nGC_143)*coupl(nGC_144)*rMB**2d0 - 2d0*Ten768*coupl(nGC_137)** &
                2d0*rMB**2d0 - 2d0*Ten769*coupl(nGC_141)**2d0*rMB**2d0 + 4d0*  &
                Ten770*coupl(nGC_1)**2d0*rMB**2d0 + 2d0*Ten771*rMB**2d0*(coupl(&
                nGC_139)*coupl(nGC_140) + coupl(nGC_84)**2d0 + coupl(nGC_87)** &
                2d0) + Ten772*rMB**2d0*(coupl(nGC_138)**2d0 + coupl(nGC_181)** &
                2d0 + 2d0*coupl(nGC_80)**2d0) - Ten773*rMB**2d0*(coupl(nGC_142 &
                )**2d0 + coupl(nGC_178)**2d0) - coupl(nGC_1)**2d0 - coupl(     &
                nGC_84)**2d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZbR_QED2 = cone*real(dZbR_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter41
end module ctparameter41
