!******************************************************************************!
!                                                                              !
!    ctparameter50.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter50.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 20:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter50
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter50()
  V_OS_Hveve_T1_QED3 = cima*ee**3d0*(2d0*Ten1276*cMHA**2d0*sa*sb*(-ca*sb + cb* &
                       sa)/(cMW*cb*cw**2d0) + 4d0*Ten1277*cMHC**2d0*sa*sb*(-ca*&
                       sb + cb*sa)/(cMW*cb) + 4d0*Ten1278*cMHC**2d0*sa*sb*(-ca*&
                       sb + cb*sa)/(cMW*cb) + 8d0*Ten1279*cMW*sa*(-cMHH**2d0*ca&
                       *cb - cMHH**2d0*sa*sb + 2d0*cMW**2d0*ca*cb + 2d0*cMW**  &
                       2d0*sa*sb)/cMHH**2d0 + 2d0*Ten1280*cMHA**2d0*sa*sb*(-ca*&
                       sb + cb*sa)/(cMW*cb*cw**2d0) + 4d0*Ten1281*cMW*sa*(-cMHH&
                       **2d0*ca*cb*cw**2d0 - cMHH**2d0*cw**2d0*sa*sb + 2d0*cMW &
                       **2d0*ca*cb + 2d0*cMW**2d0*sa*sb)/(cMHH**2d0*cw**6d0) + &
                       2d0*Ten1282*cMHA**2d0*ca*sb*(ca*cb + sa*sb)/(cMW*cb*cw**&
                       2d0) + 4d0*Ten1283*cMHC**2d0*ca*sb*(ca*cb + sa*sb)/(cMW*&
                       cb) + 4d0*Ten1284*cMHC**2d0*ca*sb*(ca*cb + sa*sb)/(cMW* &
                       cb) + 8d0*Ten1285*cMW*ca*(-cMHL**2d0*ca*sb + cMHL**2d0* &
                       cb*sa + 2d0*cMW**2d0*ca*sb - 2d0*cMW**2d0*cb*sa)/cMHL** &
                       2d0 + 2d0*Ten1286*cMHA**2d0*ca*sb*(ca*cb + sa*sb)/(cMW* &
                       cb*cw**2d0) + 4d0*Ten1287*cMW*ca*(-cMHL**2d0*ca*cw**2d0*&
                       sb + cMHL**2d0*cb*cw**2d0*sa + 2d0*cMW**2d0*ca*sb - 2d0*&
                       cMW**2d0*cb*sa)/(cMHL**2d0*cw**6d0) + 16d0*Ten1288*cMW  &
                       *(-cMHH**2d0*ca*cb*sa*sb + cMHH**2d0*cb**2d0*sa**2d0 -  &
                       cMHH**2d0*cb**2d0 - cMHH**2d0*sa**2d0 + cMHH**2d0 + cMHL&
                       **2d0*ca*cb*sa*sb - cMHL**2d0*cb**2d0*sa**2d0 + cMHL**  &
                       2d0*sa**2d0)/(cMHH**2d0*cMHL**2d0*sb) + 8d0*Ten1289*cMW &
                       *(cMHH**2d0*ca**2d0*sb - cMHH**2d0*ca*cb*sa + cMHL**2d0*&
                       ca*cb*sa + cMHL**2d0*sa**2d0*sb)/(cMHH**2d0*cMHL**2d0*cw&
                       **4d0) + Ten1290*sa*sb*(ca*sb - cb*sa)/(cMW*cb*cw**2d0  &
                       ) + 2d0*Ten1291*sa*sb*(ca*sb - cb*sa)/(cMW*cb) + 2d0*   &
                       Ten1292*sa*sb*(ca*sb - cb*sa)/(cMW*cb) + 4d0*Ten1293*sa &
                       *(cMHH**2d0*ca*cb + cMHH**2d0*sa*sb - 4d0*cMW**2d0*ca*cb&
                        - 4d0*cMW**2d0*sa*sb)/(cMHH**2d0*cMW) + Ten1294*sa*sb*(&
                       ca*sb - cb*sa)/(cMW*cb*cw**2d0) + 2d0*Ten1295*sa*(cMHH**&
                       2d0*ca*cb*cw**2d0 + cMHH**2d0*cw**2d0*sa*sb - 4d0*cMW** &
                       2d0*ca*cb - 4d0*cMW**2d0*sa*sb)/(cMHH**2d0*cMW*cw**4d0  &
                       ) - Ten1296*ca*sb*(ca*cb + sa*sb)/(cMW*cb*cw**2d0) - 2d0&
                       *Ten1297*ca*sb*(ca*cb + sa*sb)/(cMW*cb) - 2d0*Ten1298*ca&
                       *sb*(ca*cb + sa*sb)/(cMW*cb) + 4d0*Ten1299*ca*(cMHL**2d0&
                       *ca*sb - cMHL**2d0*cb*sa - 4d0*cMW**2d0*ca*sb + 4d0*cMW &
                       **2d0*cb*sa)/(cMHL**2d0*cMW) - Ten1300*ca*sb*(ca*cb + sa&
                       *sb)/(cMW*cb*cw**2d0) + 2d0*Ten1301*ca*(cMHL**2d0*ca*cw &
                       **2d0*sb - cMHL**2d0*cb*cw**2d0*sa - 4d0*cMW**2d0*ca*sb &
                        + 4d0*cMW**2d0*cb*sa)/(cMHL**2d0*cMW*cw**4d0))/(8d0*sw &
                       **3d0)
    if (.not. complex_mass_scheme) then
      V_OS_Hveve_T1_QED3 = cone*real(V_OS_Hveve_T1_QED3,kind=dp)
    end if 
end subroutine set_ctparameter50
end module ctparameter50
