!******************************************************************************!
!                                                                              !
!    ctparameter68.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter68.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 20:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter68
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter68()
  dalZ_QED2 = (16d0*pi*aEW*(11d0*Nc + 27d0)/81d0 + 16d0*pi*aEW*(-4d0*Nc*Ten1002&
              *(2d0*MU**2d0 + rMZ**2d0) - 4d0*Nc*Ten1003*(2d0*MC**2d0 + rMZ**  &
              2d0) - Nc*Ten1005*(2d0*MD**2d0 + rMZ**2d0) - Nc*Ten1006*(2d0*MS**&
              2d0 + rMZ**2d0) - Nc*Ten1007*(2d0*MB**2d0 + rMZ**2d0) + Nc*      &
              Ten1136*(2d0*MD**2d0 + rMZ**2d0) + Nc*Ten1137*(2d0*MS**2d0 + rMZ &
              **2d0) + 4d0*Nc*Ten1138*(2d0*MU**2d0 + rMZ**2d0) + Nc*Ten835*(2d0&
              *MB**2d0 + rMZ**2d0) + 4d0*Nc*Ten836*(2d0*MC**2d0 + rMZ**2d0) -  &
              9d0*Ten1000*(2d0*MM**2d0 + rMZ**2d0) - 9d0*Ten1001*(2d0*MTA**2d0 &
               + rMZ**2d0) + 9d0*Ten1133*(2d0*ME**2d0 + rMZ**2d0) + 9d0*Ten1134&
              *(2d0*MM**2d0 + rMZ**2d0) + 9d0*Ten1135*(2d0*MTA**2d0 + rMZ**2d0 &
              ) - 9d0*Ten999*(2d0*ME**2d0 + rMZ**2d0))/(27d0*rMZ**2d0))/(16d0* &
              pi**2d0)
  dalZ_QED2 = cone*real(dalZ_QED2,kind=dp)
end subroutine set_ctparameter68
end module ctparameter68
