!******************************************************************************!
!                                                                              !
!    ctparameter69.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter69.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 20:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter69
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter69()
  dtHh_QED1 = (cima*(-2d0*cMW**2d0*coupl(nGC_125) - cMZ**2d0*coupl(nGC_129)) + &
              cima*(8d0*Nc*Ten10*cMD*coupl(nGC_149) + 8d0*Nc*Ten11*cMS*coupl(  &
              nGC_173) + 8d0*Nc*Ten12*cMB*coupl(nGC_137) + 8d0*Nc*Ten7*cMU*    &
              coupl(nGC_195) + 8d0*Nc*Ten8*cMC*coupl(nGC_133) + 8d0*Nc*Ten9*cMT&
              *coupl(nGC_180) - Ten0*coupl(nGC_106) + Ten1*(-coupl(nGC_117) +  &
              4d0*coupl(nGC_129) + 2d0*coupl(nGC_95)) - 2d0*Ten13*coupl(nGC_118&
              ) - Ten14*coupl(nGC_121) - Ten2*coupl(nGC_105) + 2d0*Ten3*(-coupl&
              (nGC_116) + 4d0*coupl(nGC_125) + 2d0*coupl(nGC_71)) + 8d0*Ten4*  &
              cME*coupl(nGC_157) + 8d0*Ten5*cMM*coupl(nGC_165) + 8d0*Ten6*cMTA*&
              coupl(nGC_188))/2d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dtHh_QED1 = cone*real(dtHh_QED1,kind=dp)
    end if 
end subroutine set_ctparameter69
end module ctparameter69
