!******************************************************************************!
!                                                                              !
!    ctparameter81.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter81.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 20:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter81
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter81()
  DeltaUV = DeltaUV + log(muUV**2/muMS**2)
  dZHh_MS_QED2 = DeltaUV*(Nc*coupl(nGC_133)**2d0 + Nc*coupl(nGC_137)**2d0 + Nc*&
                 coupl(nGC_149)**2d0 + Nc*coupl(nGC_173)**2d0 + Nc*coupl(      &
                 nGC_180)**2d0 + Nc*coupl(nGC_195)**2d0 + coupl(nGC_157)**2d0  &
                  + coupl(nGC_165)**2d0 + coupl(nGC_188)**2d0 + 2d0*coupl(     &
                 nGC_63)*coupl(nGC_64) + 2d0*coupl(nGC_68)*coupl(nGC_69) +     &
                 coupl(nGC_92)**2d0 + coupl(nGC_94)**2d0)/(8d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZHh_MS_QED2 = cone*real(dZHh_MS_QED2,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS**2)
end subroutine set_ctparameter81
end module ctparameter81
